Overview

This Reference Guide represents the complete guide of the program. It is addressed to all users whether they are using the program for the first time and hence need basic information or have already acquired a certain familiarity and need quick information on the functioning of a command or deepened information on particular characteristics and facilities of the program.

The program allows contextual use of these guidelines. Pressing F1 opens the Help topic on which you are working.


System requirements

Before installation of BlueSol it is good practice to perform some procedures and tests.

Make sure that the computer on which you are going to install BlueSol meets the following requirements:

  • Operating systems: Windows XP, Windows Vista, Windows 7, Windows 8, each with latest Service Packs

  • Internet connection: Internet access is highly recommended

  • RAM: 2 GB

  • Free hard disk space: 1 GB

  • Screen resolution: min. 1024 x 768 pixels

  • Software: .NET-Framework 4 (*)

User rights

To run the program you must have full access (admin rights) for its installation directory.

Country Settings: currency, numbers, time and date

The program adopts the currency formats, numbers, time and date established in the country setting on the control panel of Windows. These formats also appear on prints. Note that the thousands separator and the comma are different.

(*) The .NET framework 4 is installed automatically, if not present.


General description of the program

BlueSol is a software product that allows you to create the design of photovoltaic systems connected to the grid. This program helps the designer in all phases of project development, from the simulation of energy production to the production of documentation.

The product is made in two different versions to satisfy all the needs:

  • BlueSol Express: Allows you to simulate the energy production of a PV system, and perform the economic analysis on the return on investment. Also checks the compatibility of connections string-inverter and generates the documentation of the project.

  • BlueSol Design: In addition to the features of the Express version, incorporates a CAD engine that allows the insertion of system layout and generation of the electrical scheme. It also allows the dimensioning of the electrical components and cables.

See comparison table to see the differences between the different versions.


BlueSol Express

BlueSol

This is the basic version of BlueSol. Allows you to simulate the energy production of a PV system, and perform the economic analysis on the return on investment. Also checks the compatibility of connections string-inverter and generates the documentation of the project.

BlueSol Express handles the following aspects of design:

Locations and irradiations: Defines the location and the irradiations, read from the database or specified by the user. It estimates the losses for far shadings being able detect the horizon line also from digital photos.

System: Represents the scheme of the PV system and simulates its behavior by calculating the energy produced. In addition, the program sizes the grid of photovoltaic field checking the compatibility of the coupling between strings and inverters.

Economic analysis: Provides the tools to analyze the convenience of the realization of the photovoltaic system, evaluating costs of realization and management and simulating the profitability during the period of observation. The program then produces graphs and summary tables exportable in xls format.

Energy consumption: Evaluates consumption and self-consumption of the user connected to the PV system. The program provides the tools to define the power consumption of individual electrical devices with which to create a database of reusable information. The combination of the consumption of the devices realizes a consumption profile that identifies the energy consumption of a user.

Print documentation: Creates and prints the project documentation, the program provides the templates for the technical and economic report. But also provides to user all the tools to create new custom reports.

Attention, using this reference guide, any specific feature of a version of the product will be marked with the logo of the product. The logo is placed at the top right of the page. If there is no the product logo, the feature is present on all versions of the program. For more details on the different functionalities of versions of BlueSol, see the comparative table.


BlueSol Design

BlueSol

In addition to the features of the Express version, BlueSol Design integrates a CAD system that helps to create and modify the layout of the system and automatically generate the single-line electrical scheme.

BlueSol Design handles the following aspects of design:

Layout: Allows you to enter the planimetry and the components that make up the system. The modules and other PV system components are included in the planimetry in assisted mode using the program's tools and can then be modified using the CAD functionality and exported in DWG format.

In addition, the layout can be displayed in a 3D view that presents the arrangement of all elements of the system. In this 3D view are also displayed the shadows of obstacles close to the system and the distribution of irradiations on the areas of the PV system.

Electrical scheme: The single-line scheme is generated automatically based on the layout of the system and the electrical components. The design obtained can then be modified using the CAD functionality and exported in DWG format.

Electrical components: specifies the electrical components used in the electric panels DC and AC system. The program performs the electrical verification of all components and manages the storage in the archive of the models used most frequently.

Attention, using this reference guide, any specific feature of a version of the product will be marked with the logo of the product. The logo is placed at the top right of the page. If there is no the product logo, the feature is present on all versions of the program. For more details on the different functionalities of versions of BlueSol, see the comparative table.


Product comparison

Operating system

Windows® 2000 Service Pack 3, XP, Vista, Windows 7 (32/64 bit), Windows 8

Projects

Creating a new project using the wizard for the dimensioning of the photovoltaic system

Creating a new project from a template

Archives

Archives of photovoltaic modules and inverters, data obtained from Photon, with more than 20,000 modules and more than 1600 inverters

Archive of photovoltaic modules, modifiable and expandable

Archive of the inverters, editable and expandable

Archive of cables and other electrical components managed by the user

Archive for consumption of electrical devices

Archive consumption profiles

Project properties

No limit to the power of the system

Data input: system, designer, customer, additional user data

Project Settings: system temperatures, sizing on power of the inverters, dispersions

Location

Data tables for the average irradiation of locations most important

Insertion of new data of irradiation by the user

Importing of the irradiations from PVGIS

NASA-SSE world wide irradiations

Choice of locations and geographical coordinates with the aid of maps (requires internet connection)

Analysis of azimuth and tilt optimal. Possibility of differentiating the period of the year

Automatic insertion of far shading from digital images

Editing far shading

Possibility of multiple far shading on the same system

System

Representation of the schema of the system in all its parts

Calculation of the irradiation on the plane of the panels

Calculation of the producibility of the photovoltaic system

Checks on the coupling between strings and inverters

Calculation of cables according to CEI-UNEL tables

Determination of the voltage drops and the flow rates of the cables

List of the electrical components of the system

Management of MPPT

Commands to cut, copy and paste the elements of the schema within the system schema

Selection commands by type of the elements of the system

Management of AC Panels connected to the main panel

Ability to explicitly specify the cable lengths

Verifications of the electrical components

Management of the electrical protection groups in the panels

Dimensioning wizard of the photovoltaic system

Scheme of producibility of the sections of the system

Automatic rename of the system components

Wizard for the dimensioning of the photovoltaic system

Wizard for the definition of cables

Wizard for the dimensioning of electrical components

Layout

Importing planimetry from DWG or image

Inserting strings easy and automated

Inserting Inverters, panels and counters

Cables arrangement with measurement of the lengths, that will be used in the verification

Editing and printing of the layout with advanced CAD capabilities

Exporting to DWG and DXF

Wizard for the guided insertion of strings

Wizard for guided arrangement of cables

Inserting the Title Block

3D visualization of the layout

Shadowing due to obstacles next to the system

Distribution of irradiations over the areas

Animation of shadings on the PV system

Results

Verifications on the inverter: limits on the voltage. limits on the current. limits on the power.

Verifications on the inverter: calculation of the input voltage to the inverter calculated by reference to MPPT trackers.

Verifications on the cables: voltage drop. capacity. calculation of the maximum voltage drop in the system.

Verifications of electrical components

Economic analysis

Analysis of profitability of the plant with assessment of financing

Diagram of cash flow over the life of the system

Management of taxation

Management of incentive rates

Tools of analysis of the consumption and self-consumption of the system

Export in xls format of the summary tables

Electrical scheme

Automatic generation of single-line electrical scheme

Schema creation options: choice of layout. paper size. height of the character of the texts. display full or partial of modules and strings. The options for creating the schema are saved in the project

In the regeneration of the electrical scheme the user can keep the primitives he had created

Editing and printing of the electrical scheme with advanced CAD capabilities

Exporting to DWG and DXF

Print Documentation

The technical documentation of the project is produced as editable Word documents obtained from customizable templates

Preliminary technical report

Final technical report

Economic report

Bill of cables

Bill of electrical components

User-created documents

Integrated RTF editor


Support

To get support using your product, you will need to enter the Support section of our website www.bluesolpv.com. Here you can open a ticket to get answers from technical support or you can try in the Knowledge Base area if the topic has already been discussed.

Also provided is a free service of maintenance of software that allows you to work with the latest version of our programs and have the most recent data available of components

The following services are included in the maintenance:

  • Software updates to the purchased version

  • Database updates

  • Response to e-mails by technical support

Maintenance does not include:

  • Purchase of upgrades to new major versions

  • Personal telephone support


Evaluation mode

Until the product is not registered it will operate for 30 days from the date of installation in evaluation mode. The evaluation mode of this program has the following restrictions:

  • Only a few locations

  • Only a few models of PV modules and inverters.

  • No new data sets can be created.


Licensing

Licensing Terms

The program can be installed a number of times equal to the number of licenses purchased. In the case of single-user license, the program can only be installed on a computer only.

If you need to use the license on another computer, such as a notebook, you can easily transfer the license on this computer.


Activation key

When you purchase the program, you will receive an Activation Key

This consists of a combination of 24 digits and letters, that must be entered entirely, including the characters hyphens.

You will find the activation key on the CD case or on the invoice. Or, if you have purchased online, you will receive it by e-mail.

The activation key uniquely identifies the license holding by the user.


Registration ID

The Registration ID uniquely identifies your computer on which will be installed the program. This is automatically generated by the program and is displayed in the license activation window

The Registration ID is automatically communicated to CadWare during the automatic activation of the product or, in the case of manual activation, sent by e-mail with the Activation key.

You cannot enter the Registration ID alone.


License activation

Before using the program, it must be activated. This can be done automatically or manually.

After the installation completes you can run BlueSol, then a window will appear requiring activation of the product:

Automatic activation: The Activation key, inserted during installation, will be proposed in the window, then click Auto activate and the program will be immediately activated through the Internet connection to the CadWare activation service of software

To perform this procedure you must have an Internet connection on the computer where you installed the program. ATTENTION, the internet connection is only necessary during activation, then the program can also be run without Internet connection.

Manual activation: You send an email to support@cadwaresoft.com in which you specify the Activation key and Registration ID proposed in the Product activation window. You will receive a reply via email containing the License key to be inserted, then click Manual Activate.

We recommend using the manual activation only in the absence of an Internet connection on your computer.

Completing the activation of the license the program will be run.


License deactivation

The license deactivation of the program is a necessary procedure to use the program on multiple machines while being in possession of a single license, or in general to transfer the use of the program on another computer.

From the Main Menu of BlueSol you run the command Deactivate license that opens a window that allows you to deactivate the license:

Automatic deactivation: Enter the activation key and click Deactivate. The program automatically connects to the activation server to deactivate your license. The license that you have disabled can then be re-activated on this or another computer.

Activation key proposal is that with which you activated the product.

To perform this procedure, you must have an Internet connection on the computer where you installed the program.

Manual deactivation: You send an email to support@cadwaresoft.com in which you specify the Activation key. You will receive a reply via email containing the Registration ID to be entered in the appropriate field. Then, click Deactivate manually, so you will get the license key. Transmit this key to the producer that will disable the license.

This deactivation procedure should only be used in the absence of an Internet connection on your computer.

This operation, if successful, requires the closure of the program.

The license so deactivated is available to be used on another computer, always using the same Activation Key in the Activation window that will be proposed.


Transfer license to another computer

In some instances it is necessary to use the software on more than one computer, such as a desktop computer and a notebook, and you have only one license of the program.

Because you cannot use the same license at the same time on more than one computer, you must disable the license from the computer on which it is active. At this point, when you run the program on a new computer will be requested the activation by proposing the activation key used when installing or in the last activation. Just click Auto activate and the program will start.

This operation, if done on a computer with an Internet connection, is very fast.


Updates

The program automatically checks, for each execution, if an update is available. If you have a newer version informs the user. This service only works if the computer on which the program operates has an Internet connection.

However, you can check at the www.bluesolpv.com site , in Download/Updates area, the presence of updates. On the main page is always reported the number of currently available version. You can know the version number of your BlueSol opening the window About BlueSol.

If there is a software version newer than you have, download the update and do the installation by executing the file you downloaded.

The installer does not need to uninstall the version you are currently using.


User license

CADWARE SOFTWARE LICENSE AGREEMENT

THE USER MUST READ THE CONDITIONS OF THE LICENSE AGREEMENT CAREFULLY BEFORE USING THIS SOFTWARE.

USING THE SOFTWARE, USER AGREES TO THE TERMS OF THE LICENSE.

Under the terms and conditions that follow, CadWare S.r.L. is required to provide under license, for a fee, the User the enclosed software with its user documentation.

Any previous verbal or written agreement between the parties is canceled by this contract.

1 Using the license

1.1 CadWare S.r.L. grants the User the non-exclusive use of the software reserving any other rights arising from the ownership of the software and user documentation.

1.2 The software is protected by an activation key that allows the activation of the license on a single computer. User can transfer the license from one computer to another at any time without limitation. The activation can be either automatic (it requires an internet connection) or manually.

CadWare S.r.L. provides an activation key different for each license purchased.

If the User wishes to transfer the license to another computer, he should deactivate the license on the source computer and then follow the normal procedure to reactivate the target computer. The User cannot use again this same license on the source computer.

1.3 The User must not modify, translate, engineer, decompile, disassemble, create applications, or anything else that may cause deviations from the original software based on the software itself. The User may not alter or modify the installer or create a new installer for the software.

1.4 The User may not modify, translate, adapt, create applications, or anything else based on the documentation submitted in support of use of the software by CadWare S.r.L.

2 Sub licenses

Are prohibited.

3 Transfer of rights

The software and related user documentation may not be transferred, assigned, leased, or given in use to third parties without a prior written consent of CadWare S.r.L. that may, at its discretion, refuse.

4 Ownership

4.1 The software is owned by CadWare SrL and is protected by copyright under national legislation Italian, EC legislation and the provisions of international treaties to which Italy is a party.

4.2 The license confers no title or ownership of the software and should not be construed as a sale of any right in the software.

5 User’s obligations

5.1 The user undertakes to satisfy the conditions set out in this license and to consider the software and related documentation for use strictly personal. To this end, he will allow access to the software only to qualified personnel that will be required to comply with this license. In any case, the User shall be responsible for his own behavior and that of those who access the software, authorized by him, for any use and misuse of the software used under license.

5.2 The User is responsible for protecting its activation key(s) from being used by a third party that may access the software.

5.3 The User should not communicate his customer ID to a third party, neither give the license rights or the activation keys.

5.4 Non-compliance by the User with this obligations will lead to legal sanctions.

In this case, if the payment has been made or if the activation key has already been delivered to the User, CadWare S.r.L. has the right to block the access to the software without returning the amount already paid by the User.

6 Trial

This software is not free. When User first obtains a copy of the software, an evaluation period is granted.

During this evaluation period, the software has some functionality limitations that preclude its productive use, but allow a complete evaluation of the product, supported by the documentation provided. If the User desires to use the software after this period, he must buy it.

User is expected to use the software thoroughly evaluating its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the software will perform to User’s satisfaction; therefore, User understands and agrees that there is no refund for any purchase of the software.

7 Limited warranty

All warranties, statements regarding the performance, quality, suitability for the use of the software and the user documentation are excluded from this license.

8 Unforeseeable circumstances

The occurrence of unforeseeable events and facts, such as natural or accidental disasters, offenses committed against the User, improper use of the software, functioning of the software in an operating environment not compatible or different from the one indicated are not chargeable to CadWare S.r.L. and therefore CadWare S.r.L. will not respond.

9 Liability

9.1 The software takes into account as far as possible the current state of the technology.

CadWare S.r.L. does not guarantee the results of the software, which depend to a large extent on the parameters determined by the user. The validity of the content of meteorological databases and the validity of components databases cannot be guaranteed.

Under no circumstances CadWare S.r.L. shall endorse or be responsible or liable for the consequences of a difference between an estimate of the software and a real situation.

9.2 CadWare S.r.L. shall not be liable for damages caused to the user by original defects or supervening in the software supplied, even if CadWare S.r.L. has been advised of the possibility of such damage.

9.3 CadWare shall not be liable for any direct or indirect damage suffered by the User or third parties caused by the use or non-use of the software.

9.4 USING THE SOFTWARE, USER ACKNOWLEDGES AND AGREES THAT HE IS THE EXCLUSIVE RESPONSIBLE FOR PROPER USE OF THE SOFTWARE, OF THE VERIFICATION OF DATA USED, OF THE CORRECT INTERPRETATION, AND OF THE NEED TO CONTROL THE RESULTS OF ELABORATIONS.

10. Technical support

10.1 CadWare S.r.L. has no obligation to provide maintenance, support, updates, enhancements, or modification.

10.2 As far as possible, CadWare S.r.L. will provide technical support to the User for the current version, however without a guarantee of success. Technical service is provided by e-mail.

10.3 If a dysfunction occurs, CadWare S.r.L. will try to correct the error as quickly as possible.

11 Express termination clause

Apart from the cases of resolution expressly provided for by Italian law, this License shall be deemed terminated in law in case of violation of art.1 (Using the license), art.2 (Sub licenses), art.3 (Transfer of rights), art.4 (Ownership), art.5 (User’s obligations), art.6 (Trial) as these are essential conditions for CadWare S.r.L.

12 Applicable Law

This License is governed by the laws of Italy.

13 Competent jurisdiction

For any dispute which may arise from this license, jurisdiction is that of Padua, Italy.

14 Invalidity

The invalidity of any of the provisions of such license does not make it totally invalid.


User Interface

This section explains how to access the commands BlueSol and how to get familiar with its interface elements.

The interface means the main window; it consists of:

The Title bar with the name of the project.

The Menu bar for the entering of commands.

The Status bar for information.


Title bar

Placed along the upper part of the window contains the name of the program and the current project. The project name when the program is Untitled.bsp.

In the title bar also appear very common commands using the program:

Open a project

Save a project

Dimensioning wizard

Verifying system

Print the project documentation


Menu bar

Located below the title bar along the upper part of the window contains all of the BlueSol commands.

Each menu indicates a homogeneous category of features that realize some aspects of the design of the photovoltaic system:

Home; project management and utilities as general maintenance of databases.

Properties; general data of the project and the PV system, of the customer and of the designer.

Location; choice of locations of the photovoltaic system, determination of its irradiation and definition of shadings.

System; definition of the photovoltaic system and its constituent components.

Layout (only Design version); planimetry and placement of the system, insertion of modules and cabling, evaluation of shadings due to objects near the system. 3D simulation of shading and distribution of radiations on the scene.

Results ; analysis of the final features of the photovoltaic system.

Economic analysis; costs, financing, consumptions, incentives, profitability of system.

Electrical scheme (only Design version); creation of single line electrical scheme of system.

Each menu opens a page containing data, charts, diagrams or drawings of its design aspect.


Status bar

This is the area of information provided by the program, from left to right, the information displayed is:

Peak power [kW] of the system that you are designing, updated in real time to changing system requirements.

Estimated annual energy production [kWh] of the system that you are designing, updated in real time to changing system requirements.

In addition, the right area of the status bar displays a progress indicator during operations in which the program requires waiting times.


Home page

This page contains the main commands for managing the program and projects, as well as tools for consulting and maintenance of the database used by the program:

Project management:

  • Open an existing project

  • Saving a project

  • New project

  • New project from template

  • Wizard new project

  • Print the project documentation

Program tools:

  • General settings of the application

  • Import and export functionality

  • Activate license

  • Deactivate license

Database maintenance


Open an existing project

The Open command allows you to load in memory a previously saved project.

In addition, the reading of a project can be done by clicking on the name of one of the projects recently read, displayed in the list at the center the opened page from the Home menu.


Save a project

The Save and Save As commands allows you to save on disk the project currently in memory.

The files saved by the program have the extension .bsp. The Express version and Design of BlueSol adopt the same storage format. In this way, each version can read a draft generated from any version. Obviously it can operate only on data for which the version is enabled.


New project

The New Project command creates an empty project named Untitled.pvp, and automatically run the Wizard pre sizing.

This wizard will guide the designer in sizing the PV system.

If the designer does not want to use this tool at this stage presses the Cancel button and will continue in manually entering on the system characteristics.


New project from template

The command New project from template lets you create a new project from a project previously created.

This command requires the reading of the draft model, which will provide to new project their own scheme of system and its economic analysis parameters, the other parameters in the new project will be reset.

The template file is a normal project file with extension .bsp created by BlueSol

This feature allows the designers to realize their own library of standard projects to get started a new project.


Settings of the application

The Settings command on the Home menu opens the window that manages the program settings.

Many of the parameters that are set are present, with the same meaning, even among the project properties. Difference between them is that the program settings are the default values that are assigned to the project properties when you create a new project. Note that changing the setting parameters of the program does not change the properties of the current project.

General

General Settings on the functioning of the program. These parameters configure some features of BlueSol Design.

Verifications

Defining the parameters of the verifications on the system. These are the default values that the program uses when you create a new project, then these settings can be changed separately for each project in the project properties.

Losses

Definition of the parameters of loss of power of the system. These are the default values that the program uses when you create a new project, then these settings can be changed separately for each project.

Designer

Data of designer of the photovoltaic system. These values are automatically assigned to the corresponding project properties when you create a new project.

Economic analysys

Parameters relative to economic analysis features, like the currency text

User property

BlueSol allows the definition of additional information managed by the user. This information is included in all projects and can then be used in the printing of project documentation in the documents defined by the user.

Inserting user properties

To place a user property adds, in the list of property, a description of the property, a default value (which may or may not be) and a label with which to identify this information in a user-defined print model.

In the realization of documents using user properties, the labels must be entered with the following syntax: User.<Label print>.

Updates

Setting parameters for automatic update of the program.

With this option, the update is not installed but it is reported that there is an update.


Photovoltaic project

This is the set of all the information which characterize the photovoltaic system.

  • Properties: General information on the project

  • Location and far shadings: Location systems installation and shadings

  • System: Definition of the composition of the photovoltaic system

  • Layout: Planimetric arrangement of the photovoltaic system

  • Economic analysis: Economic evaluation of the convenience of the realization of the system

  • Electrical scheme: Circuit diagram generated automatically by the program


Properties

The Properties menu of BlueSol allows the insertion of data on the personal data of the designer and the client, as well as specify the settings of the system and project:

  • General properties

  • Designer

  • Customer

  • Properties of system

  • User properties

  • Settings


General properties

General information on the project, are used in the technical documentation of the project generated by BlueSol


Designer

Data of the designer of the PV system. When you create a new project, the fields in this section are automatically filled with the data of designer that have been set in the program settings (Menu: Home | Settings).

Modification of these fields affects only the current project.


Customer

Data of the customer


Properties of system

System info

You specify the location data of the system, the data of the electrical grid and the contract for the supply of electricity, then indicate the characteristics of electricity delivery.


User properties

You enter the data of the properties specified by the user. The definition of user properties is performed in the section User Property in the program settings (Menu: Home | Settings).


Settings

This section provides the settings of specific parameters of the project on:

  • System:

Annual loss of system efficiency, this fall is mainly due to the decrease of efficiency of the photovoltaic modules. The system decreases over time the ability to produce energy.

Maximum voltage drop in DC area of system: is the maximum voltage drop in the cables achievable in the DC area of the system, this value should not be exceeded.

Maximum voltage drop in AC area of system: is the maximum voltage drop in the cables achievable in the AC area of the system, this value should not be exceeded.

  • Verifications:

System verification with minimum and maximum temperatures specified by the user, the system temperature, used in verification, can be defined explicitly by the user enabling this check and specifying the minimum and maximum temperatures. If this check is not activated the system temperature is calculated based on the minimum and maximum temperatures of the location.

System Temperatures, these are the minimum and maximum temperature reached by the photovoltaic modules. These values are used to calculate maximum and minimum voltage output from the PV array. The temperature reached by the modules is calculated by program when there are the maximum and minimum temperatures of the location of the system. These values are used in the absence of climate data on temperature or if the user chooses to directly set the temperature of the modules by selecting the previous check

Sizing on power of inverter, expresses, in terms of power, the exploitation of an inverter. This parameter is used by the program in the search of the inverter during the phase of sizing the system.

  • Losses:

Specifies the percentage values of system loss. For losses due to shading can be specified if this value is calculated automatically by the program or if it is assigned by the user.

  • Cables:

Maximum voltage drop in the cables, defines the maximum allowable of voltage drop percentage on each cable of system.

  • Economic analysis:

Currency text, is the text that the program will use for the currency currently set. The currency setting is done by the operating system.

When you create a new project, setting values are automatically assigned to those that have been set in the program settings (Menu: Home | Settings).

Modification of these fields affects only the current project.


Location and far shadings

The electrical energy that the photovoltaic system can produce depends on the amount of solar irradiance which, the site where the implant is made, it can receive.

BlueSol provides the tools for the definition of the incident radiation on the system through the choice of locations and the definition of far shades that affect the photovoltaic system.


Location

The choice of location is done with the command Choise of Location in the Location menu that opens a window where you can choose one of the locations in the database of climate data.

See also:

Database of climate data


Irradiance

The irradiance is the amount of solar energy incident on the photovoltaic modules, which can be converted into electrical energy.

The location of installation of the plant allows to obtain the data of irradiance, obtained on a statistical basis, on a horizontal plane; the orientation of the modules and the shadings allow the program to calculate the average irradiance monthly on the plane of the modules and then the calculation of the electricity produced by the system.

Since BlueSol is able to manage systems with multiple orientations of the modules, it will be possible to choose, among the various orientations provided inside the system, that for which you want to know the irradiance on the plane of the modules.

Upon variation of:

Location,

Orientation of the modules,

Shadings.

BlueSol calculates:

  • Radiation annual, amount of solar energy, expressed in kWh/m² per year, incident on the plane of oriented modules, regardless of the presence of shade.

  • Radiation annual net, amount of solar energy, expressed in kWh/m² per year, incident on the plane of oriented modules, considering the presence of shade.

  • Loss shading, percentage of loss of sun irradiance on the module plane, due to shading.


Irradiance data provided by the user

The command [image] of new data irradiance permits the insertion in database the irradiation values specified by the user. We must then enter all the required data, including the source of these data.

The program allows you the ability to search a new location directly from a map, choosing the Country and the Location, the program will identify the place and display it in the map, the presence of a red marker on the map indicates that the location is found. If you select the check mark Free selection of location you can freely choose the geographical coordinates clicking the mouse position on the map.

To take on the geographical coordinates of the selected location is necessary to click the button Select location. This operation enters the data taken from the map in the irradiance data table

The use of the map it is possible only if there is an internet connection, otherwise the user will need to enter, including the data of the new location, explicitly geographic coordinates latitude and longitude.

Inoltre è possibile importare dati d'irraggiamento nel modo seguente:

  • Set NASA-SSE irradiances: Inserts data irradiance relative to the location with geographic coordinates specified in the data table irradiance. So before you use this tool, you need to identify the location.

  • Import PVGIS irradiances: Legge i dati d'irraggiamento provenienti dal portale Web di PVGIS, si noti che poichè i dati importati contengono la località e le coordinate geografiche, queste andranno a sovrascrivere quelle eventualmente presenti nella tabella dei dati. Alla termine dell'operazione la mappa si posizionerà sulla località di cui si sono importati i dati.

See also:

Irradiances data sources


Far shadings

The shadings of a photovoltaic system limit the time of irradiation of the modules that constitute the system, lower the production capacity of electricity and generate inhomogeneities in behavior between the various modules generating mismatch losses.

So you need to evaluate the degree of shading of the generator due to buildings, vegetation, land elevations or otherwise, that might prevent, even partially, the direct solar radiation to reach the photovoltaic modules at certain times of day and / or for a longer or shorter periods of the year.

The definition of the diagram is done with the command Far shading [image] in Location menu


Diagram of shading

Diagram of far shading

To take account of the effect of far shadows we must be pointed out a mapping of the obstacles on the horizon, seen by an observer located at a point of the PV system, bringing on a diagram that represents the projection of the celestial hemisphere seen by the observer on a flat surface, so as to obtain a graph in which the abscissa shows the orientation East-West (or West-East for the southern hemisphere) and the ordinate the elevation above the horizon.

BlueSol provides the user with the tools for the realization of the diagram of shading that can be realized:

  • Defining a series of points that represent the values of solar height of the obstacles detected on the field with the aid of a compass and a clinometer.

  • Putting the panoramic around the PV system through the use of digital photographs.

The commands available to allow the definition of diagrams:

Add shadows: Allows you to draw a diagram of shading by the insertion of a polyline, the Enter key ends the data entry and opens a window that summarizes the values that have been entered.

Cut shadows: Allows you to cut a part of the diagram shading. The inclusion of two or more points allows you to define the area of the diagram that will be cut, the Enter key ends the data enter and opens a window that summarizes the values that have been entered.

Clear shadows: Used to delete a section of the diagram shading. The inclusion of two or more points identifies the area in which the plot is canceled, the Enter key ends up entry and opens a window that summarizes the values that have been entered.

Clear all shadows: Delete all diagram shading.

Import shading: Allows you to import from a file with the extension .shd, a diagram of shading.

Export shading: Export to a file with the extension .shd the current diagram shading.

Shading from panoramic image: Opens a window that allows you to compose the panoramic image from which is derived the diagram shade.

In all commands that require the insertion of points, if you want to cancel the entered points simply click the right mouse button to go backwards in order of entry.


Panoramic image

BlueSol is able to automatically detect the diagram of shading, starting from a sequence of digital photographs made at the site of installation of the photovoltaic system.

The individual images are assembled by the program to realize a single image that covers the horizontal visual field up to 360°.

To achieve correctly every single image you should follow some simple precautions:

  1. Perform photos trying to keep horizontal the camera, the use of an easel would simplify this operation.

  2. Make all the photos maintaining the same focal length on the camera.

  3. The photographs must submit areas of overlapping with adjacent ones.

  • Once done with digital images, these will be assembled by the program reading them and placing them in sequence with the command to insert a new image. Then you will need to place each image by overlapping them to the previous by exploring the common points effect by the transparency of the image.

  • Place the horizon line, dragging the horizontal blue line marked by the word Horizon.

  • Locate the South (North), dragging the vertical yellow line marked by the word south (or north if in the southern hemisphere), the point of the image that identifies the south (north).

  • Identify the limits east and west, dragging the green vertical lines marked by the words East and West at the points that identify the limits of the panoramic image to the east and west.

  • Specify angle of panoramic which is the opening angle of the panoramic image from the east and west limits already specified.

The program highlights, on the panoramic image, the line of separation between the sky and the obstacles surrounding the photovoltaic plant. Using that line the program generates the diagram of shading.


Multiple shading

Since the detection of far shadows is done in one place, it is assumed that the approximation to be valid for the entire system.

This approximation is definitely acceptable if the system is realized on a limited extension.

BlueSol allows multiple measurements to be made of the diagram shade in most places on the site of the photovoltaic installation will create more than one diagram of shading.

For each shading is assigned a name to be referenced in the definition of strings of the system, so as to specify that the string is applied to a particular shading.


System

The system section of BlueSol provides the tools to define the composition of the PV system in all its aspects in order to carry out design and verification. BlueSol implements a software simulator of a photovoltaic system and therefore each element of the system will be defined and present within the simulator.

Scheme of system

The scheme of the photovoltaic system is represented by a tree structure, where each node identifies a component of the system:

  • Electricity grid

  • Electrical AC panel

  • Inverter

  • Electrical DC panel

  • String

The tree diagram, which represents the system, starts from the electricity grid and expands to the strings. Selecting tree nodes are displayed, within the panel next to the diagram, all the information related to the component allowing the consultation and editing. Moreover, for each component of the system are visible electrical parameters specific.

Electricity grid

Defines the part of the system that connects to the grid. The parameters that can be set differs depending on whether the delivery of electricity occurs in low or medium voltage and that the connection is single phase or three phase.

Electrical AC panel

Defines the configuration of the electrical panel in AC current and the components with which it is made.

In this section you can set:

  • Electrical protection group on AC

  • Isolation Transformer

Inverter

Conversion device from direct current to alternating current, the system may contain multiple inverters of different models.

In this section you can set:

  • MPPT of inverter

  • Change the inverter model

Electrical DC panel

Defines the configuration of the electrical panel in DC current and the components with which it is made.

In this section you can set:

  • Electrical protection group on DC

String

Sequence of photovoltaic modules wired in series; each string is characterized by:

  • Type of photovoltaic module (same for the whole string)

  • Number of PV modules

  • Angle of inclination of the modules (tilt)

  • Angle of orientation (azimuth)

  • Far shading

Each string of the system can have its own orientation (tilt and azimuth) different from that of the other strings of the system.

In this section you can set:

  • Model of the photovoltaic module with which the string is composed

  • Number of modules with which the string is composed

  • Orientation

  • Far shading

The scheme of system which is realized, using the dimensioning wizard or modeling of the system, it can be modified using the tools provided by BlueSol:

  • Modify the schema of the system

  • Changing the parameters of system elements

  • Resizing the system

  • Rename the names of system elements

  • Analize the producibility of system

  • Verify the system


Dimensioning wizard

This tool allows you to create, quickly, a scheme of system which is always successfully verified. The procedure does not control all the parameters of the photovoltaic system that the program is able to manage, but covers the design requirements of the most common situations.

The main simplifications by the wizard are:

  • Choice of a single inverter model for the entire system

  • Choice of a single model of photovoltaic module for the entire system.

  • The same orientation for all strings

The wizard can be used to make a pre-sizing guided, accepting however the simplifications in the composition of the system. In this way you get to quickly implement a first schema that can then be anyway completely modified and completed with the normal modeling tools of the system.

Select location

You make the choice of location of the PV system, the button Select location... opens a window where you can choose one of the locations in the database, or enter data of irradiation specified from user.

Orientation of the photovoltaic field strings

You set the angle of inclination (tilt) and the angle of orientation (azimuth) of the photovoltaic field. Assumes the simplification of having a unique arrangement of strings for the entire system photovoltaics. Once you have completed the wizard, you can change the orientation of the strings, if necessary, using standard modeling tools.

Power of system

It is estimated the power of the system from the following:

  • Explicit request of the power of system,

  • Power required to reach a given annual energy production,

  • Power installable according to the area available for the arrangement of the modules PV. The estimation that is performed in this case is approximate because it does not yet know what the type of module that will use and does not have information about the arrangement of the modules.

Primary choice of inverter

If you want to choose primarily the inverter, the program requires the definition of the number of inverters you want to use. The power of the system will still be equally divided on the number of inverters. The window also displays the list of inverters compatible with the request power, the search is performed within the database of inverter of the program.

Among the proposed solutions, those with optimal utilization of the inverter are shown with the green solutions, the solutions who under-uses the inverter are shown in yellow and those who exploit overly the inverter are represented in red.

Research in database can be made by searching among the favorites or by specifying an inverter manufacturer.

The double click on a row containing the model of the inverter, opens a window that displays all of the technical data of the inverter.

The limits of sizing on power of inverter can be configured in the project properties.

The next step of the wizard allows the choice of the PV module, the button Select module... opens the choice of modules within the database. Specified in the module, the program proposes all possible compositions of the grid photovoltaic field in terms of the number of modules for number of strings. All the solutions proposed are verified and compatible with the previous choice of the inverter.

In this phase the user can also decide to choose a composition of any grid, different from those proposed in this case there is no guarantee that this is compatible with the inverter.

Even at this stage the program highlights the exploitation of the inverter, those with optimal exploitation are represented with the color green, the solutions who exploit shortly the inverter are shown in yellow, and those who exploit the overly inverter are shown in red.

Unlike the previous step of the wizard, the exploitation of the inverter is now calculated on the power grid has been chosen and not on the required power.

Primary choice of the PV module

If you want to choose primarily the photovoltaic module, after the choice of the model, the program offers a number of possible compositions of the grid to obtain the required power for the system. You can also choose the number of the inverter on which divide the grid of photovoltaic system. The division is carried out as far as possible uniformly on the inverters.

In this phase the user can also decide to choose a different composition of grid, different from those proposed; the power generated could however not be what is desired.

In the next step is showing the result of research into the database, the inverters are compatible with the grid of the PV system chosen. All models proposed creates a solution verified of the system. Among the proposed solutions, those with optimal utilization are represented by the color green solutions, those who exploit shortly the inverter are represented in yellow and those who exploit overly the inverter are represented in red.

Research in database can be made by searching among the favorites or by specifying an inverter manufacturer.

The double click on a row containing the model of the inverter, opens a window that displays all of the technical data of the inverter.

Connection to electrical grid

Electrical panel DC and AC

Sets the criteria that the wizard should be used in the insertion of panels DC and AC in the composition of the scheme of system.

These criteria are used exclusively by the wizard, in the process of modeling manual these settings are not binding.

Panels AC: You can specify the presence of the main electrical panel and an isolation transformer. The wizard can enter a single panel AC in the system (the main panel), the possibility to introduce other panels AC is delegated to the manual modeling.

Panels DC: You choose the criterion of insertion of panels DC on input to the inverter:

  • Inserting a electrical DC panel on each inverter input, the strings are divided among all panels.

  • Inserting a single electrical DC panel on inverter input.

  • Inserting of electrical DC panels only if the inverter inputs are insufficient.

  • Limitation on the number of inputs for each electrical DC panel.

The possibility of limiting the maximum number of inputs on panels DC allows the wizard to split the inputs on several panels within the limit imposed.

Furthermore, both for AC panels that for those DC is possible to choose a protection scheme to be used in the composition and optionally in the dimensioning of the electrical components of electrical panels of the system.

Electrical components

Allows you to manage the configuration and automatic sizing of the electrical components of the system. This can be prevented by disabling the check mark in the Automatic configuration of electrical components in a photovoltaic system.

Result of pre-sizing

At the end of the wizard, two windows are proposed that describe the composition of the system obtained, some parameters that have been configured and the estimated energy production. The next window shows a scheme of the system. Clicking on Finish button the program performs this schema as configured in the current project.


Electricity grid

Defines the part of the system that connects to the electricity grid. The parameters that can be set differs depending on whether the delivery of electricity occurs in low or medium voltage and that the connection is single phase or three phase (property modified in the section Properties|System).

This section allows you to define the components that make the connection to the electrical grid. Since this part of the design of the PV system can be influenced by normatives of each country, the program offers a general solution that can be configured to adapt to the needs of the designer. If the designer considers it necessary, you can also delete everything related to the connection of the PV system to the grid.

This can be achieved by clicking the check mark Unmanaged configuration of connection to the grid.

All these settings modify the electrical scheme created by the program, you can set:

  • Panel parallel grid: It is the panel for the distribution of energy to the consumers connected to the PV system.

  • Panel detachment grid: Make the detaching of the PV system from the grid.

  • Interface group: The interface is a protection device of the grid involved in case of faults in the electrical grid. The interface inhibits the release of electric current of the photovoltaic system in the network, in the case where is no voltage on the national grid or in the case in which the parameters of the network found to incorrect. It is therefore a measure of protection placed to grid security, of the system and who should be working. It is composed by Interface relay which opens the Interface protection both in case of fault internal to the protections both for fault of the network. Some types of inverters, mostly of small power, have the function of the network interface already integrated within them.

  • Transformer group: Inserts a transformer for adapting the output voltage of the system with that of the electricity network.

  • Energy meter: Inserts the meter for energy fed / drawn from the grid.

The creation, of each of these sections, can be disabled using the appropriate check marks on the page General

See also:

Electrical scheme


MPPT of inverter

Maximum Power Point Tracking, often referred to as MPPT, is an electronic system that manages the photovoltaic modules so as to allow maximum power production. MPPT is an electronic system that varies the electrical operating point of the modules so that they are capable of delivering the maximum power available.

The inverters can embed one or more of these electronic devices, and on each of them there may be one or more inputs in parallel from the photovoltaic field. The manufacturer shall provide these data and the fields within inverters archive of the program with these data are Number of MPPT trackers and Number of DC inputs.

Note that even if the number of MPPT and the number of DC inputs are defined in the database, the program allows you to modify this data in the Scheme of system in the properties of the inverter.

In the case in which there are more than one MPPT tracker is possible to distribute the input current on each tracker by clicking the check mark Shares current from a single input to all MPPT. This can be achieved by exploiting a characteristic of the inverter or by inserting an External device of current splitting.

MPPT Properties

By clicking on MPPT Properties button, you open window that allows you to edit the properties of the MPPT, adding or deleting of trackers and determine the characteristics of each.

In the MPPT page you can modify the characteristics of each MPPT tracker, the data are derived from the data sheet of inverter, where it distributes the Maximum current from PV over the trackers.

  • Max. current from PV: Maximum possible current input on the single MPPT tracker from the photovoltaic field.

  • Min. MPPT voltage: Minimum value of voltage operating range of MPPT tracker.

  • Max. MPPT voltage: Maximum value of voltage operating range of MPPT tracker.

  • Max. voltage from PV: Maximum possible voltage input on the single MPPT tracker from the photovoltaic field.

  • No. DC inputs: Number of inputs for the selected tracker.

In the Inputs page is shown a scheme of the inputs in MPPT, using the drag&drop you can change the connections between input and trackers. Normally, the program assigns these links by distributing the input lines over all MPPT.

Note that a different distribution of the inputs changes the results of the verification of compatibility between the PV array and inverter.


Modeling the system

BlueSol is a software simulator of a photovoltaic system, so you have to define the system model incorporating all the elements defining features, and links. The program provides the tools to create and modify the schema of the photovoltaic system and to specify the electrical components which it is composed the system.

With these features the user is able to perform the following operations:

  • Insert an element in the system

  • Modify the schema of the system

  • Changing the parameters of system elements

  • Resizing the system

  • Rename the names of system elements

  • Analize the producibility of system


Insert an element in the system

Selecting a node of the schema of the system, with the right mouse button you can have the context menu that offers items which you can add to the node. Only displays features that you can apply to the element of the system represented by the node, if for example, you select an inverter, you can only connect panels or strings.

Once you select an element to add is displayed window that allows you to:

  • Give a name to the element, each element of the system must have a different name

  • Choose the amount

  • Choose the appropriate model

If you accept the operation by the Ok button the program will insert the elements chosen in the scheme of system.

For DC and AC electrical panels, the program offers two modes of input: The command Add panel and the command Insert panel. These commands are different because the first connects the panel to the element of the system and is placed in parallel to any other elements already present. In the second case, the panel is still connected to the element from which is created, but all the existing elements are going to connect to the new panel just created.

In the insertion of elements in the system is necessary to be aware of some controls that the program makes to maintain the accuracy and consistency of the scheme.

  • Control on inputs of the element, if you are connecting an element to an inverter (panel or string) This operation is allowed only if the inverter will have a sufficient number of DC inputs free.

  • To the electricity grid can be connected or a single inverter or an electrical AC panel, if you try to connect more than one inverter to the grid will be automatically entered a main electrical panel AC (of course you can have a single inverter and a main electrical panel).


Modify the schema of the system

To modify the schema of the system you can use the drag&drop of elements, working both in the selection of a single item or in multiple selection. In this way, the selected items can be moved or copied to the new location, in fact when you release the mouse button at the end of drag&drop operation, the program proposes the menu to choose between copying or moving.

The multiple selection of elements of the system is done with the left mouse button and the ctrl key or shift, or the context menu of the diagram of the system with the feature selection by category (all strings, all inverters, etc ...).

In the drag&drop the program checks the correctness of the changes that are taking place and prevents those introducing errors or inconsistencies in the system.

The same operations carried out with drag&drop can be made, acting on the elements of the system, selected with the [image] Cut, [image] Copy and [image] Paste in the menu System and in the context menu. To delete an item from the scheme of the system use the [image] Delete button in the System menu or the context menu.

If you delete an element of the system, the program, before performing the operation, propose a list of all the elements connected to the selected and these will be deleted.


Changing the parameters of system elements

The selection of an element of system displays all its properties, some of them can not be modified because the results of calculations (eg nominal current). Other parameters can be changed and in any case, is valid the principle that can be modified individually or in groups, that is, you select multiple homogeneous elements in the scheme of the system and make the change that is so marked on all elements.

With this method, for example, you change the disposition of all or part of the strings of the system. The button Select all strings in the context menu of scheme of system selects strings, then you can change Tilt and Azimuth.


Resizing the system

When designing a PV system, you may need to change the size of the PV array or a part of it. In a situation like this the Resize command allows you to change the size of a photovoltaic field connected to inverter choosing between solutions already verified.

This feature refers to the element of the system currently selected, selectable items can only be inverters and DC panels. In the case of panels, these must be connected to inverter with more than one MPP, if the inverter has a single MPP you must select directly the inverter to perform the resize. However this command is enabled only if the selected node corresponds to an element of the system with the characteristics necessary to use this feature.

The resizing of the photovoltaic field that goes to a panel DC allows for sizing separately the inputs MPPT of an inverter, as in the case of an inverter with 2 MPPT used to connect the photovoltaic fields placed on two different slopes of a roof.

If the selected item is an inverter you can change the model, in the case of selection of a framework DC this feature is disabled.

The solutions that are proposed are always solutions verified and compatible between the PV array and inverter.


Rename system elements

This tool allows you to automatically change the names of the elements of the system. This feature is useful when making a large system and when it is operated on the scheme of system with many editing operations.

It can operate in two modes:

  • Auto-setting of the parameters, in this case is the program to change the names of the elements of the system using its default parameters.

  • Choice of parameters made by the user, in this case it is possible to choose on which category of elements operate, the base name and the base numbering for each category.

Clicking the Next> button you can see a preview of the scheme of system with the new denomination of the elements.


System producibility

This tool allows you to analyze the producibility of each element of the system. The window shows the scheme of system with all its elements, next to each item are shown:

  • Annual production

  • Power

  • Number of modules

  • Production rate, that is the value of percentage of the total energy of the system.

Each value refers to the corresponding element of the system.


Electrical components

In the realization of the project of a photovoltaic system, BlueSol allows you to define the electrical components which make up the DC and AC electrical panels. The component data can be read, edited and stored in an archive that you can reuse the data. On each component, the program is able to perform the electrical verification so that it can propose the right components with which to make the electrical panel. The program handles the following electrical components:

Cable | Surge arrester | Disconnecting switch | Switch | Fuse | Diode | Transformer

To specify an electrical component you need to use the button with the image of the electrical symbol, that appears in the page Electrical protection group of the electrical panels DC and AC and of the Electricity grid. Then you opens the dialog definition of the electrical component where you can specify the characteristic data, which can also be read from the archive, if any, or manually entered and then saved in the database to be used later.

The archives of the electrical components, as well as are provided at the time of installation of the program, contain a limited number of products. The purpose of these archives is not to provide a complete set of these components, which would be difficult to keep up to date. The aim is to provide a powerful and integrated tool to manage the data of the electrical components that the designer most commonly uses, then the user will enter the data in the design phase and store them in the database to be used by future projects.

The reading window of the data of the electrical components in the archive has a field called Verification that indicates with the coloring green or red if the component is verified whether or not inserted in the specified position of the electrical panel.

See also:

Cables

Wizard sizing of electrical components

Protection schemes

Electrical components list

Database electrical components


Wizard sizing of electrical components

With this tool, the program is able to search within the archives, the electrical components to be used in the system, checking that they are always verified and meet the search criteria defined by the designer. In this way it is possible to automatically dial the electric panels of the system. Obviously then the user can freely change the configurations made with the standard tools of modeling the system.

The user has the ability to set the standard by which the program chooses the electrical components, these options are available:

  • System sections to be sized: Specifies which section of the system, electrical panels AC or DC and grid connection, must be carried out search operation and sizing.

  • Electrical components and choice of producers: You choose in which category of electrical components is performed the sizing. Furthermore, for each category, you can make the choice of the producer or All manufacturers in the archive. In the event that you choose to search All manufacturers it is possible specify [image] Preferences about which manufacturers will be used and in what order will appear in the search of electrical components. In the dialog of choice of manufacturers a column contains all the producers in the archive for the specified component, a second column contains the manufacturers with which you want to search. The [image] and [image] buttons are used to change the search order.

  • Protection schemes of electrical panels: You can make the choice of a protection scheme to be applied to panels DC and AC

  • Options: Allow you to set the search criteria of the electrical component:

Gives priority to the optimization of the electrical verification, performs the choice of the electrical component that best fits the verification regardless of the preferences on the manufacturer.

Gives priority to the preferences on the manufacturer, in this case chose the first element is verified that a manufacturer makes available respecting the search order of the producers.

Clears the contents of electrical component not verified, if there isn't a verified solution the electrical component in question is not assigned.

Sizing the electrical components verified, the sizing is also made on the electrical components that have already been verified.

Sizing the electrical components not verified, the search is performed also on the electrical components that are unverified.

Sizing the electrical components not assigned, the search is performed also on the electrical components that are not assigned.


Cables

BlueSol allows you to define and verify all the wiring of the PV system. Each element of the system must be considered connected with a cable coming out, which is connected to the next. The cable connected to the element of the system can be modified by accessing the properties of the element.

The modify of the cable opens a window that has access to all its characteristic data:

  • Length [m]: total length of the cable. The cable length is a property that the user can edit only if the cable has not been drawn in Layout, in this case the length is calculated automatically by the program according to the path that follows the cable to connect the devices.

The designer can define in the preliminary draft of the approximate lengths that allow an initial verification on the cables. Only at a later stage by inserting the cables in the Layout will be calculated the exact lengths and make any final verifications.

When you insert a cable into the Layout any cable length specified by the user is replaced by the calculated length by the program. At this point, the length can not be changed except by deleting the cable from the Layout.

  • Cross-section [mm ²]: cross-section of the conductors. For cables in DC are selectable sections for positive, negative and protective earth (PE). For AC cables are selectable sections for phase, neutral and protective earth (PE).

  • Material: material of construction of the cable conductor.

In the section Electrical data are reported electric parameters:

  • Nominal voltage [V]: It is the nominal voltage.

  • Current [A]: It is the operating current of the cable, is obtained from the nominal current of the PV module (declared by the manufacturer) and the combination of the strings in the scheme of system.

  • Short circuit current [A]: Present in the DC side, is taken as the maximum current that can circulate in the cable.

And the calculated values on the basis of the composition of the system and definition of the cable:

  • Power dissipation [W]: Describes the power lost for resistance of the cable conductor. Calculated as: Power dissipation = Nominal voltage * Voltage drop * Current. / 100

  • Voltage drop [%]: Describes the percentage loss of energy, compared to the Nominal voltage applied to the cable, due to the resistance of the conductor of the cable.

See also:

Insertion of electrical cables

Voltage drop

Short circuit current


Wizard of cables definition

This tool allows the definition of cables dividing them by classes of connections:

  • String cables,

  • Connecting cable string - panel DC,

  • Connecting cable panel DC - panel DC,

  • Connecting cable panel DC - inverter,

  • Connecting cable inverter - panel AC,

  • Connecting cable panel AC - panel AC,

  • Connecting cable panel AC - grid.

The dimensioning of the connection class is applied to all the cables belonging to the class. This operation can be carried out either before or after insertion of the cables in the Layout, if it is made after it has the advantage of being able to perform a verification using the calculated lengths of the cables. In fact, to field Length is assigned the highest value among those measured in the class of connection, this can only happen if you have already inserted the cables in the Layout. In the case in which the cables have not been inserted, the field Length may be assigned by the designer to be able to however obtain the calculation of the Voltage drop.

The wizard can be used to make a default sizing for each category of connection, having then the opportunity to make any changes to the sizing of individual cable with modeling tools of the system.

The first page of the wizard is on the choice of the PV field on which it operates cable sizing, choosing the inverter to which they are connected. Subsequent pages performing the dimensioning of the cable relatively to each class of connection in the system.

See also:

Cables

Layout

Insertion of electrical cables


Components list

The lists of the electrical components are tables that are supplied with all electrical components of each category. For each component, the program specifies the information to recognize it within the system:

  • Device: Specifies the device that owns the electrical component.

  • Code: Is the univocal code with which the electrical component is stored in the database, this encoding is handled freely by the user, of course the program will not allow the same two codes in the same archive.

  • Label: This label allows to recognize each component within the electrical scheme, it is generated automatically by the program with the following code: single character representing category of component + incremental number. The label on the component is visible near the bottom of definition of each electrical component.

The tables can be displayed in two different views:

List of all elements, shows the detailed list of all the components.

Bill of material, shows the amount of each type of electrical component.

See also:

Electrical components

Database electrical components

Electrical scheme


Protection schemes

The protection scheme of a electrical panel DC or AC allows the user to store one or more configurations of a panel to be able to then be applied quickly to other panel of the current or other project.

Note that a protection scheme is a template and does not store the model of electrical component but only the type (switch, fuse...), the sizing of the component is performed after the definition of the protection scheme.

The control that allows to manage the protection scheme is located in various parts of the program: in the Electrical protection group of the panels DC and AC, in wizard Sizing of system and in the Sizing electrical components.

You choose from the list a protection scheme previously stored, after selecting an item the key + implements the scheme, instead the v key allows to store the protection scheme of the electrical panel in the works. The button ... opens the dialog to manage the stored protection schemes.

Protection scheme can also be applied in multiple selection of electrical panels.


Verifications

The system verification performs a check on various aspects of the design of the photovoltaic system. The verifications are divided into groups and each group is populated with the results of the verification on the element of the system to which it is applied.

The icons in the window indicate the status of the verification:

Verification exceeded:

Alert condition occurs in verify:

Error verifying:

The program performs the following verifications:

  • Verifications on inverters

  • Verifications on cables

  • Verifications on electrical components

  • Verifications on system


Verifications on inverters

Performs the following verifications on all inverters in the system in order to check the correct compatibility between the inverter and the photovoltaic field which flows into:

  • Limits on the voltage: The minimum and maximum values of the output voltage of the photovoltaic generator under the operating conditions must be contained in the range of MPP of inverter, also the maximum voltage produced by the generator must be less than the maximum voltage allowable from the inverter. The maximum voltage of the generator is the string voltage at the minimum operating temperature of the photovoltaic module.

  • Limits on the current: The short-circuit current of the photovoltaic generator must be less than the maximum current permissible by the inverter.

  • Limits on power: The sizing factor of power must be between the minimum and maximum allowable (see Properties|Settings).


Verifications on cables

Performs the following verifications on all the cables in the system:

  • Voltage drop: The voltage drop percentage (percentage ratio of the voltage drop on the cable and the nominal voltage) must be less than the maximum allowable value (see Properties | Settings).

  • Ampacity: The value of short-circuit current must be less than the permissible current of the cable.


Verifications on electrical components


Verifications on system

Performs the following verifications on the system:

  • Maximum voltage drop: Calculate the maximum voltage drop in the system, distinguishing between the DC and AC side.


Layout

The Layout menu allows you to enter the planimetry and the components that make up the system.

In Planimetry you can insert and edit the planimetry, modules and other components of the project, and the obstacles of the near shades.

In 3D view you can have a 3D view of the layout of the PV system, the shadows generated by nearby obstacles and the distribution of radiadiation.


Planimetry

The planimetry background, modules, and other components are inserted with ease using the tools of BlueSol Design and can then be modified using the CAD functionality.

The Wizard menu contains commands for the guided insertion of strings and electric cables, which can also be placed using the commands in the menu System.

The commands in Shades menu allow you to insert Areas and Obstacles, for the evaluation of the shadows from nearby objects.

The remaining menu are related to CAD functionality.

It is necessary to set the Settings of the planimetry before inserting the system components, as these components are sized according to the settings.

if you have available a site plan in dwg format, or in the form of an image, or both, it is convenient to insert it as planimetry background, in this case the Planimetry settings window opens automatically after insertion of background.

Commands for inserting and modifying system components:

Insertion of planimetry

Settings of the planimetry

Insertion of PV modules

Insertion of other devices

Insertion of electrical cables

Device properties

Insertion of title block

Layout options

Layout wizards

Near shades

Geometric objects of the plan are two-dimensional. This means that you see the projection of the devices on the XY plane. In order to get correct measurement of the electrical connecting cables, components have been assigned additional dimensional properties. These 3D properties are also used to obtain a 3D view of the photovoltaic system.


Insertion of planimetry

To realize the layout you shoud first place the site planimetry.

The planimetry can be inserted reading a drawing in DWG format, by inserting a picture as wallpaper, or in both ways.

If you do not have a planimetry, you can work without it, or draw one using CAD commands.

If you work without inserting a planimetry background, you have to set the Settings of the planimetry before inserting the system components, as these components are sized according to the settings. If you insert a planimetry background the Planimetry settings window opens automatically after insertion of background.

To insert the planimetry background you must use the Planimetry [image] command. This command opens the Open dialog box that lets you select a drawing file (dwg format) or an image (bmp, jpg, gif or tif).

If you already have a plan of the type you just inserted, it is deleted and then inserted the new one. After insertion, automatically opens the Planimetry Settings window to define the properties of the planimetry you just inserted.

The settings for the Planimetry can still be modified later.

In the Open dialog box you can choose which file to display using the File Type list, which can be set Drawings, Images, or All files.


Settings of the planimetry

The command Set planimetry opens the Planimetry Settings [image] window that allows to modify the properties of the planimetry. This window also opens automatically after insertion of a new planimetry background.

It is necessary to set these settings before inserting the system components, as these components are sized according to the settings.

Planimetry Settings window

Units of measurement

The CAD works in dimensionless units. In this box you can set what is the unit of measurement of CAD. Define the appropriate unit of measurement and the Real dimension (see below) is required for the modules and other components are drawn with the correct size.

Geometry

In this box you can dimension the geometry of the planimetry.

North direction

Allows you to set the direction of the north. The angle is expressed in degrees, clockwise with respect to the positive direction of the ordinates y. The angle can be typed, or you can press the button Detect..., in this case is requested to enter two points that are used to calculate the angle.

The definition of the north is necessary to allow a correct orientation of the modules inserted in the layout.

Page Drawing and Page Image

If you have inserted a planimetry of drawing type in dwg format you can see the page Drawing, if you have inserted a planimetry of image type you can see the page Image. In both pages you can dimension the geometry of the corresponding planimetry. If you have both planimetries, a correct dimensioning of both allows their proper overlap.

North Drawing and North Image

Allows you to set the north direction of the planimetry. The angle can be typed, or you can define it by two points by pressing the Detect... button. If there is only one planimetry, this control is disabled because the north of the planimetry corresponds to the North direction. If you have both the plans, typically as North direction is set that of the drawing then the North Drawing should be left the same as the North direction, and will be defined North Image so that it is aligned to that of the drawing.

Real dimension

Allows you to scale the planimetry. After defining the unit of measurement, press the button Measure..., are requested two points, which must have a known distance. In the input window is inserted the current distance between the two points. This distance must be replaced with the correct one.

Origin X and Origin Y

Allows you to enter the coordinates of the point of the planimetry that corresponds to the origin of the drawing. Pressing the button Set... you can insert the point in the drawing.

If there is only one planimetry, is not important to define the origin, except in the case of a drawing dwg that uses very large coordinates, in such a case it is useful for working with coordinate values minors.

If you have both the plans, set the origin at the same point is essential for their correct alignment.

It is necessary to correctly define the North direction and the dimensioning of the planimetry before you insert the modules and other components, as their size and orientation are derived from the settings of the planimetry.


Insertion of PV modules

The command Strings [image] opens the Module Insertion window, which allows the automatic insertion of the modules of the strings.

Module Insertion window

At the top of the window are: on the left the list of inverters and on the right the list of the strings connected to the inverters selected in the list on the left.

Under each list there is a Select All button that lets you select all the elements of the list.

The same command is available in the context menu of the list.

In the list of strings can be defined for each string the color with which its modules will be drawn and the elevation assigned to the string. The elevation can be used to calculate the total length of the cable connected. See Insertion of electrical cables for more information.

In the list of inverters you can define a color and elevation. These values are not assigned to the inverter, but can be used to change the value corresponding to each string of the inverter with a single assignment.

In the area below there are several boxes to set options for the placement of the modules.

Geometry modules

Contains the geometrical information of the modules of the selected strings, in the case in which are the same for all strings.

Orientation modules

Defines the arrangement of the modules, Horizontal means that along the positioning line of the string lies the long side of the module, Vertical means that the module is positioned on the short side.

Geometry area of positioning

Allows you to define the area in which to insert the modules of the selected strings

Geometry

Choose whether to define a rectangle on the drawing or whether to use the geometry of an Area.

  • Rectangle: The button Detect... requires three points that identify the rectangular area in which to place the modules of selected strings.

  • Area: Select the Area name from the list.

In both cases the geometry is reproduced in box Origin and Dimensions.

Orientation

Choose the orientation of the Area.

  • Modules: Contains the common orientation to the selected strings. The area of positioning will be aligned to this orientation, and therefore also the lines of the modules.

  • Free: Enter a free orientation that align the positioning area. If the selected strings do not all have the same orientation, this will be the only option.

Origin (X & Y), Dimensions (Length & width)

Contains the geometry of the area of positioning, as defined in the Geometry box. The values can be changed manually.

Arrangement

Defines the arrangement of the modules in the area of positioning. The image displays the arrangement set.

Choose... this button opens the Layout modules window where you can choose a different arrangement. The modules will be placed in the area from the corner closest to the starting point of the first line, the line of the base of the area, then follow the selected arrangement.

The possible arrangements are divided into Horizontal Layout and in Vertical Layout, this is because typically the area has a base constrained to the direction of the base of the modules, and this is always the horizontal direction.

If the choice is a Vertical Layout, the meaning of the Space between modules and Modules per row (see below) is still referred to the horizontal arrangement, so in this case the distance between a module and the next is that between the rows, and the distance between a row and the other is that between modules.

Row spacing

Defines the Space between modules and the number Modules per row. When changing the selected strings is calculated the number of modules that can be inserted in a line and this value is put into Modules per row. If there is a check mark next to the padlock, the number of modules remains locked at the value set.

Step between rows

Defines the spacing between the rows of modules. If the check mark is present on Optimal step the spacing is calculated in such a way that the modules do not ever shade between them. If there is no the check mark the step must be defined manually.

Pressing the button Measure... is required the insertion of two points whose distance is inserted as Step on plan. Step on plan and Step on surface are related by the angle of Surface inclination. This angle is automatically set equal to the inclination of the selected strings, automation useful in the case where the modules are partially integrated in the roof. If there is a check mark next to the padlock, Surface inclination remains locked at the value set.

Cables connection

Defines the position of the poles where the cables will be connected to the string.

If you selected Two poles on the same module the positive cable and the negative will follow the same path, and you will need indicate on which module are attached. If the coupling is on one of the external modulesis possible to define whether the string cable is separated or if the connection to the other extreme is extending one of the two cables. If the coupling is done on an internal module then the string cable can only be separated.

If you selected Separate poles at the ends the positive cable and the negative will be entered individually and will have two separate paths. In this case it is possible to define which of the two extremes are connected to the two cables. In addition, the cable string is not necessary.

Finally at the bottom right are the buttons:

Insert

Inserts the string modules selected according to the settings of window. The strings that might be already placed are first deleted and are also deleted all the wires may be attached to these strings. After the insertion the window is reopened.

Close

Close the window

Wizard

Closes the window and starts a wizard for guided positioning of the modules of strings. The use of wizard allows you to take advantage of the full potential of command immediately.

The expert user may use the command directly from this window to speed up operations.

The command to start the wizard is available directly in menu Wizard.


Insertion of other devices

The command Devices [image] opens the window Insertion Devices, that allows the insertion of system devices that are not the modules and the strings.

Insertion Devices window

The window is composed of three pages to insert devices by type.

Page Electrical DC panels

Contains the list of panels that may be present between the strings and inverters. In the list you can set the color and height of the individual panels.

Size electrical DC panel

In the box, you can define a custom size to assign to the panel drawn. The Invert button swaps the sizes between them.

Page Inverter

Contains the list of inverters. In the list you can set the color and height of the individual inverters.

Options

Copy the color on the panels connected

If there is a check mark every time you change the color of an inverter in the list, this color is automatically assigned, in page Electrical DC panels, to all panels connected.

Copy the height on the panels connected

If there is a check mark every time you change the height of an inverter in the list, this height is automatically assigned, in page Electrical DC panels, to all panels connected.

Size inverter

You can define whether the size of the inverter in the drawing are the real ones (when you select an inverter in the list are automatically entered its dimensions) or custom ones. The Invert button swaps the sizes between them.

Page Section AC

It contains a list with the energy meter (which is the connection to the grid) and, if present, the general panel and any intermediate panels AC. In the list, you can set the color and height of the individual devices.

Size energy meter

Allows you to define a custom size for the energy meter.

Size general panel and AC panels

Allows you to define a custom size for the general panel and panels AC. The buttons Invert exchange the dimensions between them.

Finally at the bottom right are the buttons:

Insert

Requires the insertion of a point where the device selected is positioned. If the device is already present will first be deleted and will also erase all the cables are connected. After insertion the window is reopened.

Close

Close the window

You can also insert a device by double clicking with the left mouse button down on the list.

The elevations defined in the lists may be used in the calculation of the total length of the cables connected. See electrical cables for more information.


Insertion of electrical cables

The electric cable is a polyline consisting of one or more straight sections that connects two devices.

The command Cables [image] opens the window Insert Electrical Cable, which allows to define some properties of the electrical cable.

Insert Electrical Cable window

Insert mode

Manual

The cable is defined by the selection of the two devices at the ends of the cable and the insertion of any intermediate points.

Authomatic

The cable is defined by the selection of a reference cable, then one or more devices.

The cables that enter in the selected devices are created automatically trying to follow the path of the reference cable.

Geometry

Orthogonal insertion to the device

If there is a check mark the last two sections of the cable are modified so as to have the angle between their equal to 90 °.

Options

Add to the length the elevation of the devices

If there is a check mark, when calculating the length of the electric cable in addition to the length measured on the drawing is added the difference in elevation of the connected devices. See below Example of calculating the length of the electrical cable.

if enabled, when calculating the length of the electric cable in addition to the length measured on the drawing is added the difference in elevation of the connected devices

Set the properties after the insertion

If the check mark is present after the insertion of each cable the program opens the window Cable definition to set all properties of the cable.

Colors

In this box you can define the color for the different types of cable. The cable type is determined by the devices it connects.

Insert

The behavior depends on Insert mode:

Insert mode = Manual

Requires the selection of devices to be connected. If the two devices are already connected the existing cable is deleted.

Insert mode = Authomatic

Requires the selection of a reference cable, then one or more devices.

The cables that enter in the selected devices are created automatically trying to follow the path of the reference cable.

if you select multiple devices, and cables corresponding are of different types (ie, are located in different sections of the plant, for example cables entering in DC panels and cables entering in inverters) Select cable type window is opened that allows you to choose which cables create.

Close

Closes the dialog and cancel the insertion of the cable.

Wizard

Closes the window and starts a wizard for guided positioning of the electric cables. The use of wizard allows you to take advantage of the full potential of command immediately.

The expert user may use the command directly from this window to speed up operations.

The command to start the wizard is available directly in menu Wizard.

Selecting Devices when Insert mode = Manual

The command insertion of the electric cable asks the selection of the first device.

When the mouse cursor moves closer to a device that is connectable by an electric cable, displays a small circle filled. If you press the left mouse button while the circle is visible, the device is locked. Then all the devices connected to the currently selected are highlighted by circles, and if the circle is empty, the device has not yet been connected, if the circle is full, the device is already connected and then the new cable will replace the old.

Then you can insert the intermediate points of the cable, or go directly to the selection of the second device if you want to insert a cable consisting of a single stroke.

To select the second device just bring the mouse cursor to one of the devices can be connected and press the left mouse button when you see the small circle filled

Can also be selected devices already connected. If you select two devices already connected by a cable, it is deleted and replaced by the new one.

To select a device, be careful to press the left mouse button while the small circle filled is visible, without moving the cursor, otherwise the program may not be able to lock the device.

Editing electrical cables

To add or delete a node of an existing electrical cable select the cable and then use the contextual commands.

To move a node of an electric cable you must select the cable, which then is in Interactive editing, and then use the functionality of changing the geometrical position of the node.

Example of calculation of the length of the electric cable

The following figure is an example of connecting devices via electric cables that explains how the cable length is calculated.

The drawing of the layout is two-dimensional, then the measured length in plan is the top view (cable 1 ~ 2 BC + DE, cable 2 ~ 3 GH).

If enabled, the option Add to the length the elevation of the devices addes the difference of elevations set in the properties of the devices (cable 1 ~ 2 CD, cable 2 ~ 3 nothing because the two devices are at the same elevation). The lengths of other cable sections must be added manually in the properties of the electric cable (cable 1 ~ 2 AB + EF, cable 2 ~ 3 FG + HI), to do this you need to select the cable after it has been created and give the command Properties... .


Device properties

The command Devices Properties [image] requires the selection of a device (string, electrical panel, inverter, meter) and then opens the Properties window for the selected device.

The command also works on electrical cables, areas and obstacles.

You can select a string both selecting one of his modules or by selecting the text with his name

The Properties command is also available from the context menu when you select a device.

Double-clicking on a device automatically run the Properties command on that device.

Below the help of properties windows for all devices.

String Properties window

In this window you can change the elevation from the ground level (height of the horizontal plane on which the string is ideally placed, see Electrical Cable Properties for more information), the color and the settings for the connection of electrical cables.

If you set Two poles on the same module, the Length of string cable is the string cable if this is separate, otherwise this measure is added to the length of the cable to which it is assigned.

The length of the string cable is initially calculated as the total width of modules more 3cm per module. The default value of this extra length can be changed in Options.

Electrical panel Properties window

Inverter Properties window

Electrical general panel Properties window

Energy meter Properties window

In this window you can change the elevation from the ground level (height of the horizontal plane on which the device is ideally placed, see Electrical Cable Properties for more information) and the color.

Electrical cable Properties window

In this window you can change the settings that affect the calculation of the actual length of the cable.

For the cables connected to a string are displayed separate the actual length of the positive cable and the negative one, while for the other cables displays a unique length.

Geometric length

Is the total length of the multiple lines with which the cable has been drawn.

Additional length

Defines a length as required that is added to the geometric length.

The additional length of the cable is placed initially to 3m. This default value can be changed in Options.

For the cables connected to a string that has the string cable assigned to one of two cables, positive or negative (see Strings Properties) displays also the length of the string cable, which is added to the length of the corresponding cable.

Add to the length the elevation fo the devices

If there is a check mark, when calculating the length of the electric cable in addition to the length measured on the drawing is added the difference in elevation of the connected devices. See Insertion of electrical cables for more information.

Difference in elevation of the devices

Shows the absolute value of the difference of the elevations of the two devices connected by the cable.

Color

Cable color.

Area Properties window

In this window you can change the name, attributes and geometric properties of the area.

Type

Displays the geometrical shape of the area.

Geometry

Inclination

Defines the angle of the area relative to the base (which corresponds to the side from point 1 to point 2).

Elevation

Elevation from the ground level (height of the horizontal plane on which the area is ideally placed).

Options

Name

Descriptive name of the area.

Attributes

Color

Color of the area.

Filling

Type of the hatch drawn as filling the Area.

Spacing

Step of the hatch fill.

Angle

Angle of the hatch fill.

you can change the visibility of all or part of the areas in the layout options

Obstacle Properties window

In this window you can change the name, geometric properties and attributes of the obstacle and its shadows.

Type

Displays the geometrical shape of the obstacle.

Options

Name

Descriptive name of the obstacle.

Insertion point

Defines the vertex of the obstacle that correspond to the origin of the symbol.

Geometry

Data on the size depend on the type (the geometrical shape)

Type parallelepiped

Width

Width of the parallelepiped

Depth

Depth of the parallelepiped

Angle

Positioning angle of the parallelepiped

Type Cylinder

Radius

Radius of the cylinder (if it is changed, the diameter is recalculated)

Diameter

Diameter of the cylinder (if it is changed, the radius is recalculated)

Other Geometry properties

Detect ...

Detect on the planimetry the geometry of the obstacle.

Height

Obstacle height

Elevation

Elevation from the ground level (height of the horizontal plane on which the obstacle is ideally placed).

Attributes

Color

Color of obstacle.

Filling

Type of hatch drawn as filling the obstacle.

Spacing

Step hatch fill

Angle

Angle of hatch fill

Edges of the shadows

In this box you can define display attributes, visibility and time at which to calculate of the contours of the shadow of the obstacle.

Attributes

Line type

Linetype of the edge of the shadow projected on the areas, this attribute is common to all the shadows.

For each shade are individually defined the following attributes:

Color

Shadow color.

Times at which to calculate

In this box you can define the times at which to calculate the shadows. For each time you can define:

Visible

If there is a check mark the shadow is visible, otherwise not calculated.

Month, Day, Hour

Define the date and time at which the shadow is calculated.

If the time is set to Sunrise-Sunset is not calculated one shadow but a number of shadows, the first to a minimum angle of elevation of the sun, the other at times that are symmetric with respect to the time at which the sun is on the azimuth.

Default

Set the default values for month, day and time.

The Obstacle Properties window has the Apply button, which allows you to change the obstacle properties without leaving the window. This feature is useful to quickly evaluate the shadows in different dates and times.


Insertion of title block

The command Title block [image] opens the window Insert Title block, which allows you to define the properties of the title block that is inserted into the drawing.

The title block is inserted as a box containing the information of the system.

If there is already a title block previously inserted with this command, it is cleared when inserting the new one.

Insert Title block window

Title

First line of the title block

Dimensions

Size of the title block. The size can be defined either as the width of the box or as the height of the text. If one of two values changes the other value is automatically recalculated.

Outer box

Insert the outer box

If there is a checkmark is placed a box outside. The outer box has sides with dimensions that are calculated in such a way that their ratio is the same ratio of paper sizes and to include all of the existing drawing and the box of the title box that is inserted.

Properties

Properties of outer box if its insertion is enabled

Horizontal

The box has the greatest dimension horizontal.

Vertical

The box has the greatest dimension vertical.

Snap the box at the nearest corner

If there is a check mark and the box of the title block is close to the corner of the outer box, is moved so as to be exactly on that corner.


Device elevation

The drawing of the planimetry is two-dimensional, as are two-dimensional CAD commands too.

In 2D is not possible to measure the actual length of the electric cables, since typically modules, electrical panels and inverters are not located at the same level above the ground. We then added to the properties of the devices the new property elevation.

The elevation from the ground level is the height of the horizontal plane on which the device is placed.

A property of electrical cables is Add to the length the elevation of the devices. If enabled, when calculating the length of the electric cable in addition to the length measured on the drawing is added the difference in elevation of the connected devices.

The value of the elevation is a relative value, so that what is important is that the elevations of all devices are defined with respect to the same horizontal plane. For example, if all devices are placed on the same plane, is correct to define for all elevation equal to 0, whatever the height of this plane.

In addition to the common property elevation, the areas and the obstacles (the objects for evaluating the near shades) have other properties to define its dimensions, so as to be able to calculate the outline of the shadow of the obstacles on the areas. The outline will then be displayed by its projection on the XY plane.

3D properties of devices are also used to obtain a 3D view of the photovoltaic system.


Layout options

Pressing the symbol [image] at the bottom right in menu System commands and in menu Shades commands opens the window Layout Options.

Layout Options window

System

In this box you can set some options for the functionalities of drawing of system.

Visibility

In this box you can set the visibility of:

  • Compass rose

  • Text of Modules

  • Text of Strings

Lengths added to the cables

Allows you to set the default values of additional lengths for electrical cables.

Additional length of cables

This value is assigned to Additional length of new cables placed and can be changed later in the Electrical cable Properties window.

Additional length of string cable for each module

This value, multiplied by the number of modules in the string, it is set as the default value of the cable string and can be changed later in the String Properties window.

Shadows

The options of near shades are described in Near shades options.


Layout wizards

The commands for the guided insertion of the modules of the strings [image] and electric cables [image] contain within their pages all the information necessary for their use. In particular, two symbols are used to indicate the presence of information:

when the mouse cursor is over the icon, a window opens with the description of control near.

when the mouse cursor is over the icon opens a window with detailed information on the content of the page.

These windows are closed automatically if you move the mouse.


Near shades

To evaluate the shadows originating from objects are close to or inside the system, there are commands to create areas and obstacles.

The obstacles are structures, positioned in the layout of the plant, which can create shadows in which you should not to place modules.

The areas are the surfaces within which can be placed modules and therefore is in the interest of the designer to examine how they are affected by shadows of obstacles.

Graphic objects obstacles include the shadows they create on the areas positioned in the drawing.

When the areas are placed, deleted, moved or changed, are recalculated the shadows of obstacles.

To change areas and obstacles already placed use the command Device Properties in the command group system.

See also:

Insert areas

Insert obstacles

Near shades options


Insert areas

The command Areas [image] opens the window Insert Area where you can define the properties of the area to insert.

Insert Area window

Type

Defines the geometric shape of the area: triangle, rectangle or trapeze.

Options

Name

Descriptive name of the area, it is proposed a default name.

Insertion point

Defines the vertex of the area that corresponds to the origin of the block will be inserted.

Geometry

Inclination

It defines the slope of the area relative to the base (which corresponds to the side from point 1 to point 2).

Elevation

Elevation from the ground level (height of the horizontal plane on which the area is ideally placed).

This value is a relative value, so that what is important is that the elevations of all areas and of all the obstacles are defined with respect to the same horizontal plane. For example, if all the areas and all obstacles are placed on the same plane, is correct to define for all elevation equal to 0, whatever the height of this plane.

To obtain a correct 3D view is also necessary that the elevations of the other devices are defined with respect to the same horizontal plane.

Attributes

Color

Color of the area.

Filling

Type of the hatch drawn as filling the Area.

Spacing

Step of the hatch fill.

Angle

Angle of the hatch fill.

The area are drawn as a single block consisting of the outline of the area, its filling and a text that displays the descriptive name.
In the Near shades options you can define the visibility of areas, text, and filling.


Insert obstacles

The command Obstacles [image] opens the window Insert Obstacle where you can define the properties of the obstacle to insert.

Insert Obstacle window

Type

Defines the geometric shape of the obstacle: parallelepiped or cylinder.

Options

Name

Descriptive name of the obstacle, it is proposed a default name.

Insertion point

Defines the vertex of the obstacle that corresponds to the origin of the block will be inserted.

Geometry

There are two boxes, the first defines dimensions which depend on the geometric shape of the obstacle, the second contains common dimensions.

Type parallelepiped

Width

Width of the parallelepiped

Depth

Depth of the parallelepiped

Angle

Positioning angle of the parallelepiped

Type Cylinder

Radius

Radius of the cylinder (if it is changed, the diameter is recalculated)

Diameter

Diameter of the cylinder (if it is changed, the radius is recalculated)

Other Geometry properties

Detect...

Detect on the planimetry the geometry of the obstacle.

Height

Obstacle height

Elevation

Elevation from the ground level (height of the horizontal plane on which the obstacle is ideally placed).

This value is a relative value, so that what is important is that the elevations of all areas and of all the obstacles are defined with respect to the same horizontal plane. For example, if all the areas and all obstacles are placed on the same plane, is correct to define for all elevation equal to 0, whatever the height of this plane.

To obtain a correct 3D view is also necessary that the elevations of the other devices are defined with respect to the same horizontal plane.

Attributes

Color

Color of obstacle.

Filling

Type of hatch drawn as filling the obstacle.

Spacing

Step hatch fill

Angle

Angle of hatch fill

Edges of the shadows

Graphic objects obstacles include the shadows they create on the areas positioned in the drawing.

In this box you can define display attributes, visibility and time at which to calculate of the contours of the shadow of the obstacle.

Attributes

Line type

Linetype of the edge of the shadow projected on the areas, this attribute is common to all the shadows.

For each shade are individually defined the following attributes:

Color

Shadow color.

Times at which to calculate

In this box you can define the times at which to calculate the shadows. For each time you can define:

Visible

If there is a check mark the shadow is visible, otherwise not calculated.

Month, Day, Hour

Define the date and time at which the shadow is calculated.

If the time is set to Sunrise-Sunset is not calculated one shadow but a number of shadows, the first to a minimum angle of elevation of the sun, the other at times that are symmetric with respect to the time at which the sun is on the azimuth.

Default

Set the default values for month, day and time.

The obstacles are drawn as a single block consisting of the boundary of the obstacle, its filling, a text that displays the descriptive name and shadows, visible defined, which are projected on the areas.
In the Near shades options you can define the visibility of obstacles, text, fill, and shadow.


Near shades options

Pressing the symbol [image] at the bottom right in menu System commands and in menu Shades commands opens the window Layout Options, where in the box Shadows you can set some options for the drawing of Shadows.

Shadows

The options of near shades

Visibility

Areas

If there is a check mark areas are visible, otherwise not. If the areas are visible, are also active in the following options:

Text of the areas

Visibility of the text of the areas

Filling of the areas

Visibility of the hatch filling the areas

Obstacles

If there is a check mark obstacles are visible, otherwise not. If the obstacles are visible, are also active in the following options:

Text obstacles

Visibility of the text of the obstacles

Fill obstacles

Visibility of the hatch filling the obstacles

Shadow of obstacles

Visibility of the shadows that obstacles project on the areas

If the shadows of the obstacles are set as visible in the window Layout Options, but you do not see any shadow of an obstacle, you must check whether you have set the shadow visible for that obstacle, and then if the obstacle actually projects shadows on nearby areas, the set times. You should also check if you have correctly set the elevations of the obstacle and areas.


3D view

BlueSol allows you to have a 3D view of the layout of the PV system. The user enters the layout of the planimetry using the 2D tools in the program, but to each element of the system you can associate an elevation and this allows a three-dimensional arrangement. Each element of the system has among its properties the elevation.

In the 3D view frame you can only perform viewing operations, any editing operations of the layout or the input of elements of the system must be carried out in the Planimetry section. You can do the following:

System layout, shows the 3D layout of the system

Shadings, shows the shadings generated by near obstacles of the PV system

Radiation distribution, shows the distribution of radiations and shadows

View, allows you to change the point of view of the photovoltaic system, and using predefined views to the cardinal points. If you want to freely change the view of the 3D scene, you can click on the widget cube on the top right and then to drag the view

Export DWG, exports the current 3D scene in DWG format

Export image, exports the current 3D scene in a image format


Radiation distribution

The calculation of the radiation distribution allows for an evaluation, on the areas in the layout of the PV system, of how the radiation of the sun is lost due to the presence of near obstacles. The areas in the 3D view will be colored differently depending on irradiance received throughout the year. The areas that receive always the irradiation will be red while those who are always in a shaded area of the obstacles will be colored blue.

The evaluation is made by:

  • Irradiance near areas, global irradiation received on the area, expressed in kWh/m²

  • Shading frequency distribution, frequency with which the area is in the shade, expressed as a percentage. 100% indicates that the area is always in the shade, the 0% that the area has always irradiated.

The track-control Calculation precision improves the accuracy with which you calculate the distribution of radiation near areas, the program thickens the mesh of points on which you want to calculate the radiation. Increase the accuracy of calculation can require long computation times.


Shadings

The shadows generated by near obstacles of the PV system are displayed in the 3D view with the command Shadings of BlueSol. In particular, the shadows of near obstacles are projected on the areas inserted in the Layout of the project. This scene shows the areas, the obstacles and photovoltaic modules.

To make the simulation as the shadows interferes with the PV modules, the program allows you to set the position of the sun by:

  • Position, specifies azimuth and elevation of the sun position

  • Day of the year, specifies the date and time in which to realize the shading, the program automatically displays relative azimuth and elevation.

You can also make the animation of shadings by the move of the sun along its trajectory daily specifying the Start date and End date of simulation. The buttons Start, Stop and Pause managing the execution of the animation. The track-control Speed allows you to change the speed of execution of the animation.


Economic analysis

The production of electricity through a photovoltaic system allows to obtain economic benefits as a result of:

  • Sale of energy

  • Savings due to lower purchase of energy from the electrical grid

  • Obtaining the incentives

  • Tax benefits

However, the construction of a photovoltaic system comes at a relevant cost which must be compared with future revenues to be able to evaluate the cost-effectiveness.

BlueSol provides the tools to be able to analyze the convenience of the realization of the photovoltaic system, evaluating costs of realization and management and simulating the profitability during the assessment period, considering aspects such variables as the decay of the annual production, the cost impact of any financing, the changes in energy costs due to inflation.

The economic evaluation involves a lot of data to be processed, concerning:

  • Incentives: Incentives, on the energy produced, that may be available in the country in which it operates the system

  • Costs: Specifies the costs of realization of the PV system in addition to periodic and the maintenance

  • Financing: Sets the details of a possible partial or total financing of the realization of the system

  • Energy consumption: Estimates the consumption and the self-consumption of system

  • Energy sales: Rates of electricity sales

  • Taxes: Defines the fees charged to earnings procured by the photovoltaic

  • Table: Detailed table of profitability, for each year during the assessment period of the system

  • Options: Options and rates in economic analysis

The Profitability page summarizes the main results of the economic analysis. More details can be found in the pages Table and Charts, where it is presented a detailed table for years and the graphs of the trend of economic parameters over time. Tables and graphs can then be exported in XLS format and as images.

Please note that all amounts included in the economic analysis should be entered either with or without sales tax. As a rule, all amounts should be entered as net sums. However, if you enter a gross amount, you should make sure that all entries are gross.

The currency symbol used by the program ($ or € ...) is taken from the settings of your computer, but the currency text is set in the settings of the application.


Incentives

Incentives for photovoltaics are offered to producers of electricity from photovoltaic systems. A government can offer incentives for the PV industry to promote the economies of scale necessary to make the cost of photovoltaic electricity competitive with the cost of the existing grid. These policies are carried to promote national or territorial energy independence and reduce carbon dioxide emissions that cause global warming.

Enabling the check mark Allow incentive to photovoltaic production you can enter the revenue from incentives in the economic analysis. Because each country may decide different methods of incentives, the program proposes a method for evaluating generic and simplified to the definition of incentives.

  • Feed in tariff: Are the tariffs, related to the production of electricity, expressed in [currency/kWp] with which the program evaluates the revenue from incentives. You can define different tariffs for different use of energy produced:

  1. Feed-in tariff for the produced energy: All the energy produced gets the incentive specified

  2. Feed-in tariff for energy fed to the grid: The incentive is applied only to the energy fed into the grid

  3. Feed-in tariff for self-consumed energy: The incentive is applied only to the energy self-consumed by users of PV system

Tariffs may be cumulated enabling its check marks. But tariffs may also decrease over the years, in this case must be assigned parameter Annual variation of feed-in tariff as a percentage of annual reduction of tariffs set.

  • Payout duration: It is the period of time in years as they are granted the incentives.

In addition to revenues due to incentives, the energy that is not self-consumed can be sold to the grid operator. But not always the rules that manage the incentives that allow the sale or net metering are compatible with the incentives.

Therefore, if these revenues are compatible, you must use the check mark Additional remuneration for sale/net metering


Costs

In this section you specify the costs of construction and maintenance of the PV system.

The initial costs total (net) of the PV system (material, structure, assembly ...) necessary for the realization of the system can be specified as an absolute amount or specific to kWp power of the system.

The maintenance costs of the system are divided, over time in Periodic costs and Extraordinary costs.

The designer can add any number of items to these lists by specifying the following parameters:

  • Periodic costs: specifies the period and duration in terms of years and the annual ammount.

  • Extraordinary costs: specifies the year of issue and the amount.

Alternatively, or in parallel, to this definition of costs, you can specify an Annual maintenance as a percentage of the system realization cost that is applied to each year of the assessment period.


Financing

In the event that the manufacturer decides to apply for funding to build the pV system you must enable the check mark Allow financing. Then you will specify the terms of the loan:

  • Capital to finance: The loan amount can be entered as an absolute value or as a percentage of the investment

  • Loan interest:: Nominal interest rate to be paid on remaining debt

  • Term: The time period after which the loan has been repaid

  • Frequency installment: Deadlines to which the payment of installments are made

The program then calculates the Installment amount and the Global financing amount including the interests.


Energy sales

The electricity produced by the photovoltaic system, but that is not self-consumed by users of the system, can be sold to the grid operator. There are two types of contracts for the sale of electricity fed into the grid:

Sale: The energy fed into the grid is sold or on the basis of an Average price or Variable price based on production. In the first case all the energy is sold on the basis of the average price. In the second case the tariff is set based on the amount of energy annually fed into the grid.The price ranges can be edited using the [image] Add and [image] Delete buttons, and any value changed within the grid.

Net metering: With this contract for the sale of energy, the owner of the PV system receives a credit for the energy they feed into the grid. Since for each country can be different interpretations of this sales policy, the program offers a generic approach where you need to set some parameters.

The credit that is granted is based on the valorization of energy fed into the grid. If this value is the same as the purchase price of the energy, then the grid behaves as an energy storage: that which has not been used can then be withdrawn in a deferred way without additional costs. If the energy that feeds into the grid is greater than that which is taken, it creates a credit which can be possibly used in subsequent years.

Note that, in the economic evaluation, the net metering is considered a revenue even though there may not be a bill, and you may see as a savings.

With these parameters you configure the net metering:

- Managing credit balances: In the case in which there is a credit, this can be used in the subsequent years (with a limit of Credit energy period) or paid annually.

- Credit energy period: Number of years within which can be taken the credit.

- Price of energy valorization exchanged different from the cost of electricity withdrawn: Specifies whether the value of the energy fed into the grid is different from that taken, in this case you must specify the Price of energy valorization.

- Price of energy valorization: Amount by which valorizes the energy fed into the grid.

The economic value of net metering is calculated as follows:

Revenue from net metering = Min ( Price of energy valorization * Energy fed to grid, Cost of energy withdrawn from the grid )


Taxes

If you want to activate the assessment of taxes in economic analysis you must enable the check mark Allow taxes. The program allows a general and simplified assessment of taxes since each country adopts different rules. These are the parameters that can be configured:

  • Tax rate for income: In a tax system, the tax rate describes the burden ratio (expressed as a percentage) at which a business or person is taxed. In this way the tax to apply is Taxable income * Tax rate for income.

  • Tax on feed-in tariff: In the event that the energy production of the PV system receives incentives, income that follows may be subject to taxes. Each country may have different rules, so you can specify which part of the PV production is subject to tax by clicking the corresponding check mark.

  • Taxes on electricity sale/net metering: Allows to enable/disable the taxation of energy sold or the net metering.

  • Depreciation: It is the allocation of the cost of assets to periods in which the assets are used. They can be considered in the economic evaluation by selecting the check mark System depreciation, then you can determine the percentage of the investment that is subject to depreciation. The Annual depreciation parameter sets the percentage of value subject yearly to depreciation. If, for example, the depreciation will be in 20 years then the Annual depreciation will be of 5%.


Table of profitability

BlueSol generates a detailed table of all parameters of economic evaluation, detailed per year for the assessment period of the system:

  • Year: Year of PV system life

  • Energy production [kWh]: Energy production estimated by the program. Also matches the Energy fed to grid + Self-consumption

  • Energy fed to grid [kWh]: Energy produced by the system and fed into the grid because not consumed by users of the PV system.

  • Energy consumption [kWh]: Annual energy consumption, including any increases in consumption. Also matches Self-consumption + Energy taken from the grid

  • Self-consumption [kWh]: The amount of energy produced by the system and at the same time consumed by the users of system

  • Energy taken from the grid [kWh]: Energy consumed by the user and coming from the grid

  • Total revenue [currency]: [Revenu of feed-in tariff] + Revenue from energy sale or Revenue from net metering

  • Revenue of feed-in tariff on energy produced [currency]: Energy produced * Feed-in tariff for the produced energy

  • Revenue of feed-in tariff on energy fed into grid [currency]: Energy fed into grid * Feed-in tariff for energy fed to the grid

  • Revenue of feed-in tariff on energy self-consumed [currency]: Energy self-consumed * Feed-in tariff for self-consumed energy

  • Revenue from energy sale [currency]: Energy fed into grid * sale price

  • Revenue from net metering [currency]: Valorization of energy escanged into the grid

  • Energy purchase tariff [currency/ kWh]: Energy purchase tariff (see Average cost of electricity withdrawn in Energy consumption section) revalued annually by the Energy price inflation

  • Saving on energy bill [currency]: Savings due to non-purchase of energy. Calculated as Self-consumption * Energy purchase tariff

  • Maintenance costs [currency]: Cost of maintenance periodic and extraordinary

  • Financing [currency]: Amount of annual installment with financing. The amount is calculated by the program based on the capital to be financed. Also matches Loan capital amount + Loan interest amount

  • Loan capital amount [currency]: Principal portion of the installment loan

  • Loan interest amount [currency]: Interest portion of the installment loan

  • Gross profit [currency]: Total revenue + Saving on energy bill - Maintenance costs - Depreciation - Loan interest amount

  • Total tax [currency]: Taxable income * Tax rate for income (see Taxes)

  • Taxable income [currency]: Refers to the basis upon which an income tax system imposes the taxes, calculated for each year as Income subject to tax - Maintenance costs - Depreciation. Note that the program does not handle tax credits, so if Taxable income is negative then Total tax will be forced to zero.

  • Income subject to tax [currency]: Part of the Total revenue subject to tax

  • Depreciation [currency]: Depreciation of the system, calculated for each year as the Realization cost * System depreciation * Annual Depreciation (see Taxes)

  • Net profit [currency]: Gross profit - Total tax

  • Cash flow [currency]: Net profit + Depreciation - Loan capital amount

  • Cumulative cash flow [currency]: cash flow of year + cash flow of previous year. The first year is calculated as: cash flow of year - system cost + amount to be financed.

  • Net present value (NPV) [currency]: By calculating the NPV is established the convenience expected of investment, by discounting the future cash flows in order to detect the present value of the investment.

Note: The currency symbol used by the program ($ or € ...) is taken from the settings of your computer


Options

  • Rates:

- Inflation:: Is a percentual rise in the general level of prices in a period of one year. The program uses this index to increase yearly maintenance costs of the system.

- Discount rate: The program uses this index to calculate the Net present value (NPV)

- Energy price inflation: It is a percentage increase in energy prices in a period of one year. The program uses this index whenever estimates the cost of energy sold or purchased during the years.


Energy consumption

In the design of a photovoltaic system is important to be able to evaluate the consumption of users with respect to the production of system. In particular, it is necessary to quantify the self-consumption.

The self-consumption [kWh] is the amount of energy produced by the system and at the same time consumed by the user. The program indicates this amount as share of self-consumption as the percentage of production of system self-consumed by the user.

Please pay attention to the fact that consumption and self-consumption are amount different.

The self-consumption may not exceed the consumption and normally self-consumption is less than the consumption, this implies that a part of the consumption must be fetched from the network, in fact:

Energy taken by electricity grid = consumption - auto-consumption

A precise evaluation of the self-consumption requires to know the energy production and consumption as a function of time to compare the trend of these data. BlueSol allows you to define the self-consumption by manually setting the share of self-consumption, or to make perform the evaluation to the program, in this case is on the check mark on Calculate Total annual consumption and Share of consumption based on the profile of electricity consumption.

The designer can manually define the share of self-consumption based on own experience, or if is already in possession of the data of self-consumption design situation similar to the one under study.

BlueSol provides the tools to define the power consumption of individual electrical devices with which to create a database of reusable information. The combination of the consumption of the devices realizes a consumption profile that identifies the energy consumption of a user.


Electric consumption profile

To enable the program to evaluate the consumption and self-consumption must indicate which are the individual electrical devices that realize the consumption user. For this BlueSol creates consumption profiles which group the consumption of individual electrical devices. Each profile can be stored in database and reused in projects with similar characteristics.

These are the commands that allow you to perform these operations:

Adds a consumption of electrical device, opens a window with which you specify the characteristics of the consumption both in terms of power used that of temporal distribution.

Adds a consumption of electrical device from the data of the selected one, in this way the consumption thus created can then be modified.

Edit the consumption of selected electrical device, opens a window where you can change the consumption data of the device.

Delete the consumption of selected electrical device.

Reads from file a consumption profile.

Save the current consumption profile, stores it on user database the configuration of consumption currently specified so as to create a profile that the designer can edit and reuse in other projects.

If you read from archive a consumption profile, this can be modified and adapted to the new requirements without, for this reason, the original profile on archive is affected by changes.


Consumption of electrical device

To create or modify the consumption of an electric device, BlueSol proposes a window to manage parameters that identify consumptions.

We must give a name to the consumption, the name must be unique within the profile of consumption, then specify the number of devices (consumption will be multiplied by this number) and the power needed the electrical device.

Hourly consumption:

For each hour of the day is indicated which is the estimated consumption of the electrical device. We must choose the unit of measure by which you specify the hourly consumption:

  • Min, in each hourly interval daily you specify the number of minutes (0 to 60), the device is running at the specified power.

  • kWh, in each hourly interval daily is indicated consumption in kWh of electrical device.

To simplify the insertion of consumption schedules there are some commands that allow rapid insertion of common situations:

Apply throughout the day the consumption to the power of the device.

Inserts the consumption in a time period to specify the power of the device.

Reset all hourly consumptions.

Weekly distribution:

You specify which days of the week can be activated the daily distribution of consumption. The green color indicates that it is active, the red is not active. To change the activation status simply click on the colored box.

Monthly distribution:

You specify in which months of the year can be activated consumption. The green color indicates that it is active, the red is not active. To change the activation status simply click on the colored box.


Electrical scheme

The menu Electrical scheme allows you to generate the single-line electrical diagram of the system.

The scheme is generated fully automatically using the Create electrical scheme command and can subsequently be modified using the CAD functionality.


Electrical scheme generation

The command Create electrical scheme [image] opens the Electrical scheme window, which allows you to define some characteristics of the scheme.

Electrical scheme window

Arrangement

Allows you to set how the electrical scheme should be drawn between four predefined arrangements.

Paper format

Allows you to define the format of the paper on which the electrical scheme will be printed.

When printing, you must set the printer paper to the same size you set here.

Optimize

If there is a check mark, the schema is drawn even in areas under the legend and to the left of the title block.

There is no check to see if the scheme overlaps the legend or title block, so when that happens, disable the option.

Character height

Used to define the height you want for the character of the text on the printed sheet. The height is calculated in such a way as to be correct in the paper size that has been set.

Default

Resets the character height to its default value.

Groups of modules

A group of modules is formed by the modules components a string. Depending on the structure of the system and the number of modules of the strings, and in order to have the best readability of the diagram, you can choose between two options:

Show all modules

Displays all the modules.

Show a maximum N modules

Displays all the modules if their number is less than or equal to the number set N, otherwise displays N modules.

Groups of strings

A group of strings is formed by the strings connected to a single electrical panel or to a single inverter.

As for the modules, you can choose between two options:

Display all strings

Displays all the strings.

Display a maximum N strings

Displays all the strings if their number is less than or equal to the number N set, otherwise displays N strings.

Insert button

The drawing if present is erased and is generated the electrical scheme according to the current system composition.

If there are primitive created by the user will be asked whether should be kept or deleted. A primitive scheme changed by the user is considered a primitive user.

Cancel button

Closes the window canceling the command. The drawing is not changed.

Electrical scheme window settings are saved with the project, so each time you give the command Create electrical scheme are proposed settings previously used for that project. If the command is given for the first time for that project are proposed settings used for the last scheme generated by the program.

The various components of the electric diagram are inserted on different layers, in order to make easier the change of dwg if the drawing is exported. The layers are: Draft, Texts, Legend and Frame. These levels are not visible in the Layers dialog and then can not be changed by the user.


CAD capabilities

In the page Planimetry of Layout, as well as commands to insert devices in the system, there are CAD commands that allow the insertion of new graphic primitives and the modification of existing ones.

You can then edit the planimetry background in dwg format after it has been imported, or draw a new if it is not available.

You can also delete or move the devices inserted.

These commands are also present in the page Electrical scheme, and allow you to change the schema after it has been generated automatically.

To modify a graphical entity you can select it and then edit it interactively in the manner described in Interactive editing.

In any situation by pressing the right mouse button opens the context menu that puts at your disposal the most useful commands in that context.

More information:

  • CAD commands : description ot the commands grouped by categories of functionality.

  • CAD windows : description of the main windows used by CAD.


Interactive editing

At the beginning of every work session and after the termination of the execution of a main command the base command Select is activated that lets the user select entities of the drawing in order to operate with them. Obviously, the Select command can be recalled at any moment cancelling as the other main commands do the former active command.

When the Select command is active you can select any graphic entity by a simple mouse click on it. The selected entity can now interactively be modified, it is in editing.

When an entity is in editing the use of modifying and transformation commands is inverted: instead of first entering the command and then selecting the entity or entities to apply the operation on in editing you first select the entity you want to modify and then the command that shall be applied. The commands are applied to all entities that are in editing, after their execution they are automatically disabled; the selected entities continue to be in editing, other modifications can be made.

The commands mainly used in editing are available in the context menu.

When the Select command is active and you select a graphic entity it is in editing: you will see it within a dashed rectangle that encloses it perfectly, the so-called box; further you will see markers on the entity’s snap points and other markers on the box: on its center and its vertices as well as on the middle points of its sides.

If the box is too small and cannot be displayed the only thing to be displayed is the marker on its center. You have to enlarge the view to see the box with all of its markers. See Zoom commands.

The selection of another entity de-selects the entity that is in editing.

If you want to select several entities you have to press the Shift key while selecting the entities: this way selected entities are not de-selected by the selection of other entities. If you select an already selected entity with the Shift key pressed a second time it will be de-selected and lose the editing state. This use of the Shift key is active only when the Select command is activated.

When the cursor is brought onto a marker of whatever type the cursor appears in another shape; this shape indicates the action you can perform if you select the marker by left mouse clicking. The editing operation can be still modified opening the contextual menu by right mouse clicking. The available operations are:

  • Modify the geometric position of the selected point. This action can be performed on the snap points only.

  • Move the entities that are in editing according to the transformation type you choose in the menu. The transformation of the entities is executed by moving the selected point according to one of the following types:

    • Translation: translates the all the entities the same way as the selected point is translated.

    • Rotation: rotates the entities round the center of the box by an angle that equals the angle defined by the translation of the selected point.

    • Mirror: mirrors the entities at the axis that passes through the center of the box and the selected point.

    • Scale: resets the size of the entities according to the increase or decrease of the distance of the selected point from the center of the box.

  • Copy the entities that are in editing. The available transformation operations are the same as in Move, the only difference is that the original entities are not deleted, but continue being part of the drawing; they also continue being in editing. Copying is therefore not actually an interactive modifying operation than a handy interactive way of copying. The transformations are:

    • Translation

    • Rotation

    • Mirror

    • Scale

Selecting the marker and moving it to a new position you modify the entity. The modifying is interactively displayed by the echo.

The available operations are memorized separately for each marker type. When you perform an operation through a marker as described above the next time you select a marker of the same type the same operation will be reproposed.

In case of the Rotation the Ortho mode is active respectively to the center of the box, i.e. to the point the rotation axis passes through. This way performing a rotation at one of the markers positioned at the middle points of the box sides you can - when pressing the Ctrl key - perform rotations of 90, 180 or 270°.

If you have selected an entity that does not allow some of the editing, these are disabled. In particular, the devices of the system can be moved or deleted, but you can not change its size.

If you select an electrical cable, you can move, add or delete a node. To move a node, simply select it and move it; to add or delete a node, you must use the commands available from the context menu when selecting a cable.

If a single module is selected, the snap points of the box coincide with the corners of the module even if it is rotated. This feature allows you to move a module by hooking a corner, allowing a precise repositioning.


Context menus

Pressing the right mouse button when the cursor is in the drawing area you open a menu that offers various sets of commands according to the command which is active, therefore the name contex menu. The commands here listed are the commands that usually are the most useful in the given situation.

Selection contextual commands

When the selection of an entity is requested and the command requires the selection of several entities the contextual menu places at your disposal various selection commands.

All

Select all entities that are entirely or partly visible on the screen.

Zone

Select all visible entities located within a zone that is defined by two given vertices.

When is require a selection you can use an alternative method to this command:

  • press the left mouse button on one end of the selection area

  • holding down the left mouse button, drag the cursor to the second end, you will see the echo of the selected area

  • once you reach the second end point, release the mouse button

Complementary zone

Select all visible entities that are located outside a zone defined by two given vertices.

String

Select the entire string by the selection of its own module or text.

Chain

Select the “course” of consecutive entities, i.e. entities that have each one vertex in common with its predecessor.

Requires the selection of one entity of the course. The course finishes where the outer vertex of an entity doesn’t coincide with the vertex of another entity.

Intersection

Select all entities that intersect the line defined by two given points.

Last

This subcommand selects the entity you have worked on last.

Entity selection commands

Commands to filter the selection of entities on the base of their type. These commands can be used in combination with the other selection commands.

Attribute selection commands

Commands to filter the selection of entities on the base of their attributes. These commands can be used in combination with the other selection commands.

End selection

Finishes an entering sequence of operands for the execution of a command that requires an undefined number of operands.

Some commands require a variable number of selected entities. In these cases the program continues requesting operand-inputs (points or selections) until the user finishes the data input by use of this command.

Attributes...

Opens the Attributes window in Define attributes mode.

Snap point contextual commands.

Snap point commands are commands that help you select points when the program requests the input of points. Use one of these commands to insert as point a snap point of an existing entity.

You can also snap to snap points through the Automatic snap (see Snap points page in CAD options window).

Extreme

Select the vertex of the entity which is the nearest to the selection point.

Selectable entities are: lines, arcs, circles and splines.

If a line is visible only partly the visible part only will be considered.

In case of arcs besides the actual vertices are also considered eventual intersection points with the horizontal and the vertical diameter.

In case of circles only the four intersection points with the horizontal and the vertical diameter are considered (actual vertices don’t exist in a closed curve).

Middle

Select the middle point of the entity.

Selectable entities are: lines, arcs and splines.

Centre

Select the center of the entity.

Selectable entities are: arcs, circles and points.

Intersection

Select the intersection point of the two selected entities which is the nearest to the selection point.

Selectable entities are: lines, arcs, circles and splines.

If the entities intersect more times the intersection point will be selected which is the closest to the selection point.

Near

Select the point of entity which is the nearest to the selection point.

Selectable entities are: lines, arcs, circles and splines.

Grid

Select the point on the grid which is the nearest to the selection point.

When this command is active the cursor is displayed doubled: first at its real position, second as echo at the respective nearest grid point.

Origin

Select the origin of the entity.

Selectable entities are: texts, blocks, hatchings and dimensions.

The origin of texts and blocks is their positioning point.

The origin of a hatching is its barycenter.

The origin of a dimension is the positioning point of the dimension text.

Point

Select an entity of the point type.

Corresponds to the Center command applied to a point with the only difference that this command only allows the selection of entities of the point type.

End Selection

Finishes an entering sequence of operands for the execution of a command that requires an undefined number of operands.

Some commands require a variable number of selected entities. In these cases the program continues requesting operand-inputs (points or selections) until the user finishes the data input by use of this command.

Coordinates...

Opens the Coordinates window.

Interactive editing contextual commands.

When the Select command is active (see Modify commands) and you select one or more graphic entities, the selected entities are in editing.

In editing mode the contextual menu provides several commands, some depending on selected entity type. The commands are applied to all entities that are in editing.

Delete

Delete the selected entities.

Entities information

Opens the Information window that displays the information on the selected entity. If more than one entity are selected it displays the information about all entities.

Copy and Move

Commands that operate transformations on entities in editing. The transformations are the same for both the copy commands and the move commands. In both cases, you create a new entity by applying the transformation to the selected entity. The difference is that the copy commands maintain the original entity while the move commands erase it

Translation

The command requires two points and applies a transformation of translation along the vector that goes from the first to the second point inserted.

Rotation

The command requires a point and an angle, then applies a rotation transformation equal to the angle around the point inserted. The angle is in sexagesimal degrees and a positive value means an anticlockwise angle.

Mirror

The command requires two points and applies a transformation of reflection relative to the line passing through the two points inserted.

Scale

The command requires a point and a number, and then applies a scale transformation with respect to the inserted point, with a scale factor equal to the number entered. The factor can be negative, it cannot be zero.

Last

Performs on the selected entities the last transformation that has been made. If you have not yet made any transformation the command does nothing.

Attributes...

Opens the Attributes window in mode Modify attributes of the selected entities

Interactive editing commands depending on selected entity type

Layout device commands

Go to the system

Open the page System on the properties of the selected device.

Properties...

Opens the Properties window for the selected device.

Double-clicking on a device automatically run the Properties command on that device.

Electrical cable commands

Add node

Requires the selection of a stroke of the electrical cable and the insertion of a point, then inserts a new node at the point inserted; the node splits the selected stroke in two new sections.

Delete node

Requires the selection of an internal node of the electrical cable. The node is deleted and the two adjacent sections are replaced by a single stroke between the two adjacent nodes.

To move a node of an electric cable you must select the cable, which then is in Interactive editing, and then use the functionality of changing the geometrical position of the node.

Circle and Arc commands

Modify radius

The command requires a number, then changes the circle (or arc) selected so that its radius is equal to the number entered.

Text commands

Modify text

The command asks for the input of a new text through the Strings window; it initially offers the currently selected text in order to be modified.

Dimension commands

Move

The command requires a point, then changes the position of the text of the selected dimension and moves it to the point inserted.

The position of the dimension text depends on the Optimum dimensioning setting: if active the dimension is automatically centered, otherwise it is positioned at the inserted point. The Optimum dimensioning can be set in the General page of the CAD Options window.

Move parallel

The command requires a point, then changes the position of the text of the selected dimension and moves it to the point inserted, with the constraint that the new positioning point is on the dimension line passing through the old point.

Move perpendicular

The command requires a point, then changes the position of the text of the selected dimension and moves it to the point inserted, with the constraint that the new positioning point is on a line perpendicular to the dimension line passing through the old point.

Detach

The dimensions are associative, that is memorize which are the entities that measure. This associativeness enables the dimension to immediately adapt itself to a new geometric situation that may be caused by the transformation or the modification of an entity.

This command deletes the association of selected dimension and measured entity (or entities), the dimension becomes independent.

Modify text

The command asks for the input of a new text through the Strings window; it initially offers the text of the currently selected dimension in order to be modified.

The position of '#' character in a dimension text indicates the effective value of the dimension. The '#' character can be followed and preceded by other characters; it can be missing as well.

Block commands

Explode

Disaggregates the selected block into its components.

There are no commands for the insertion of blocks, but the blocks may have been inserted with the planimetry in DWG format.


CAD commands

The CAD commands are grouped into categories of functionality:

File : commands for printing and export of drawing.

Modify : commands for selecting and deleting of graphics entities.

View : commands for changing the view on the drawing.

Insert : commands for inserting new entities.

Edit : commands for editing the graphic entities.

There are also options for the behavior of CAD commands:

CAD Options

Automatic Snap

If for a point input you want to use a snap point of a graphic entity you can use snap commands (see Context menus).

You can also head for a snap point just pressing the Shift key while the cursor is approaching to an existing graphic entity. When the cursor has come close to it the nearest snap point of the graphic entity is highlighted by a little square. If you then press the left mouse button the highlighted point is inserted.

The heading for the nearest snap point can be set as permanent by activating the option Automatic snap in the Snap point page of the CAD Options window. In this case you don’t have to press the Shift key to use the automatic snap.

Ortho Mode

If during a point input you press the Ctrl key the inserted point will be perpendicular in regard to the previously inserted point whatever movements the cursor performs. This situation is highlighted by the creation echo.

The ortho mode can be set as permanent by activating the option Ortho Mode in the Snap point page of the CAD Options window.

In this case you don’t have to press the Ctrl key to use the ortho mode.


File

Commands for printing and export of drawing.

Print

Starts the printing of the drawing using the current print settings.

Print Preview

Opens the preview window of the print with the current print settings.

Print settings

Opens the Print settings window.

Export DWG

Export the drawing in DWG format.

The Print command only asks the print confirmation. The command Print settings must be called explicitly.


Modify

Commands for selecting and deleting of graphics entities.

Select

Allows you to select entities in the drawing to make changes to the geometry or attributes, to obtain information or delete them. We say that the entity thus selected are in editing.

Extensive information can be found in Interactive editing.

You can activate the command Select also by pressing the Esc key.

When the command Select is active (and whenever it is require a selection) to select the primitives contained in an area you can use an alternative method to the Zone command available from the context menu:

  • press the left mouse button on one end of the selection area

  • holding down the left mouse button, drag the cursor to the second end, you will see the echo of the selected area

  • once you reach the second end point, release the mouse button

Delete

Delete the selected entities.

Delete part

When an entity is selected that intersects one or more times other entities the command deletes the portion of the selected entity between two points of intersection or a point of intersection and one adjacent extreme.

Undo

Undoes the last executed operation. You can repeat this command until all executed operations are canceled.

Redo

Resets the last undone operation. You can repeat this command until all undone operations are reset.


View

Commands for changing the view on the drawing.

Zoom window

Requires the selection of two points and displays as whole window the zone of the drawing that has been determined by the rectangle selected through these two points. In case the view is on more than one window is asked the selection of the window on which to perform the operation.

Redraw

Clear the screen and redraw the current drawing. Is performed automatically by all the view commands, and can be used to clear the screen after editing operations to the drawing.

Zoom fit

View the entire drawing in maximum scale compatible with the size of the window on the screen. This enables you to view all parts of drawing. In case the view is on more than one window is asked the selection of the window on which to perform the operation.

Previous view

Lets you reset the previous view situation of the drawing. You can step back like this for one step only. Re-entering the same command you reset the current view situation.

1 Window

2 Horizontal Windows

2 Vertical Windows

4 Windows

The program places at the user’s disposal multiple-windows views. Each window is independent of the others, in each window you can work independently and perform view, selecting and creating operations.

When you change the multiple windows view, if you start from a view more than one window, you are prompted to select the window you want to copy the view in new windows.

Attributes

Opens the Attributes window.

Layers

Opens the Layers window.

Coordinates

Opens the Coordinates window.

Grid

Enables / disables the display of the grid.

The grid is similar to a squared sheet that lets you move the cursor in discrete steps.

The visibility of the grid and snapping the cursor to the grid are independent and can be controlled separately.


Insert

Commands for inserting new entities.

Line 2 points

Creates a line that passes through two given points.

Broken line

Creates a broken line (sequence of consecutive lines). The broken line itself is not a single entity, the lines it is formed by are single entities; as such they can be used and modified.

Parallel through a point

Creates a parallel line to a selected existing line that passes through the given point.

Sloped

Creates a new line that is inclined to the selected (existing) line by an angle and that starts from the entered point (its first vertex).

The pick point determines direction and orientation of the new line: it will be created rotated for the given angle towards the side of the pick point with respect to the selected line. The angle is measured from the line itself towards the vertex that is closest to the pick point. If the line is visible only partly the visible part is considered only. The length of the new line equals the length of the selected line in case the entered is a point on the line, otherwise the line passes from the entered point to the selected line.

Arc

Creates an arc that passes through three points.

The first and last point input define the initial and the final vertex of the arc; the second point input determines the arc defining a common point on the arc.

The three points cannot be aligned.

Circle center point

Creates a circle with center at the first point and passing through the second.

Circle 3 points

Creates a circle that passes through 3 given points.

The three points cannot be aligned.

Text

Opens a window in which it is possible to enter a text without limitations in size, and which can be disposed on one or more lines. Then asks you to select the point where to insert the text.

Point

Creates an entity of the point type.

Rectangle

Creates a rectangle whose diagonal has the two selected point as vertices. A rectangle is formed by a single polyline which consists of several lines.

Polyline

Generates a polyline composed of linear stretches that connect the input points. The End Selection command, available from the context menu, finishes the insertion of the points forming the entity.

Spline

Creates a spline as interpolation of the inserted points. The End Selection command, available from the context menu, finishes the insertion of the points forming the entity. The maximum of points for the construction of a spline is 100.

Hatching

Lets you execute the hatching of a closed perimeter requiring the input of only one side of the perimeter.

Selectable entities are lines, circles, arcs and ellipses.

The command doesn’t consider eventual perimeters inside the selected perimeter. The perimeter can be formed by a maximum of 5000 entities.

If the selected entity belongs to only one closed perimeter is uninfluential the position of the center of the trap selection.

If the selected on primitive belongs to more of a closed perimeter the position of the center of the trap selection becomes important, as the search for the closed perimeter is "resting the right hand" on primitive selected on the side of the center of the trap selection and advancing until to return to the starting point. In practice, you search the drawing area in which is the selection point.
If the center of the trap selection is within a closed perimeter internal to others, this will be identified, if it is outside the perimeter closed outermost of all, the latter will be identified.

Hatching with Lakes

Creates a hatching of a closed perimeter by the selection of one entity that belongs to it excluding the “lakes”, i.e. the closed perimeters inside the perimeter.

Selectable entities are lines, circles, arcs and conics.

The entity has to be selected holding the selection cursor towards the inside of the perimeter you want to hatch.

2 points dimension

Creates a dimension that measures the distance between the two points positioning it in the third point inserted.

Angle dimension

Creates a dimension that measures the angle formed by two lines positioning it in the third point inserted.

Two intersecting each other lines form four angles. Which of these angles will be dimensioned depends on the pick points of the selection. In the first selection the exact position of the pick point defines in which of the two half planes of the first line the angle shall be; in the second selection the exact position of the pick point defines in which of the two half planes of the second line the angle shall be, this way you unequivocally determine the angle.

Diameter dimension

Creates a dimension that measures the diameter of the circle (or of arc) is selected positioning it in the point inserted.

If inserted point is inside the circle the dimension line will be the diameter that passes through the point, if it is outside the dimension line will be horizontal or vertical according to the position of point.

Radius dimension

Creates a dimension that measures the radius of the circle (or of arc) is selected positioning it in the point inserted.

The dimension line is on the the line passing through the center of the circle (or of arc) and passing through the point inserted.

More about dimensions

The position of the dimension text depends on the Optimum dimensioning setting: if active the dimension is automatically centered, otherwise it is positioned at the inserted point. The Optimum dimensioning can be set in the General page of the CAD Options window.

The dimensions are associative, that is memorize which are the entities that measure. This associativeness enables the dimension to immediately adapt itself to a new geometric situation that may be caused by the transformation or the modification of an entity.

You can delete this associativity with context command Detach.

Dimensions except for angle dimensions can be supplemented by tolerances. Tolerances indicate the maximum margin that the measured dimension is allowed to have with regard to the nominal dimension. Tolerances can be set in Dimensions page of Attributes window.

You can set tolerances as well by inserting their ISO code. In this case the values of the upper and lower tolerances are calculated automatically by the program that bases its calculation on the ISO code and the size of the dimension.

The following schema illustrates a typical dimension:

abbr. description:

fq arrow

lq dimension line

lr reference line

pe extension point

pp projection point

pr reference point

t+ upper tolerance

t- lower tolerance

td text on the right

tq dimension text

ts text on the left

The texts on the right and on the left can be inserted during the modifying of the dimension (see context command Modify text for dimensions).


Edit

Commands for editing the graphic entities.

Trim

Lets you make coincide the vertices of two graphic entities by shortening or prolonging them, depending on whether the selected entities have an intersection point.

Fillet

Creates an arc that links the two selected entities. You are prompted the radius of curvature. The graphic entities are shortened or prolonged, depending on whether they have an intersection point or not.

In the subsequent executions the radius is not requested again, it remains the same; the only input requested is the selection of two other entities.

Chamfer

Creates a chamfer between two selected entities inserting a line that cuts them at a distance from their intersection point equal to the required value.

The segments that remain outside the chamfer are deleted.


CAD Options

Pressing the symbol [image] at the bottom right in the menu of CAD commands opens the CAD options window , .where you can set options related to the functionality of CAD.


CAD windows

This section describes the main windows used by CAD, which are:

Print settings window

Attributes window

Layers window

Coordinates window

CAD options window


Print settings window

This windows lets you set the print parameters. It has some pages that group settings:

  • Printer page

  • Page page

  • Drawing page

  • Options page

  • View page

  • Pens page

In the Printer page in particular you set the size of the printer page whereas in the Drawing page you set the size of the drawing sheet you want to produce in the end. Initially the two sizes are equal (Default setting of the Size of the Drawing page), but they can be separately modified: this way you can produce a drawing in a larger format than the largest format of your printer. This means that the printer will print several pages that have to be cut and united in order to form the required format. In this case you are recommended to activate the Cropmarks option in the View page: the printer will print little marks at the edges of the print area of each page that will help you afterwards cut the pages when composing the whole drawing.

Preview

In this field the effect of the settings is displayed immediately and updated at every modifying:

  • A white square shows the drawing sheet that will be printed (independently of the paper format); a dashed line represents the margins of the page. The size of the drawing sheet is set in the Drawing page.

  • A blue square shows the drawing area that contains the entities of the drawing that are to be printed; if there is nothing to print there won’t be any blue square. In case of a multiple window view the blue squares represent the windows instead of the graphic entities box.

  • One or more red squares show the order of the pages that are to be printed; each page has its number and corresponds to one print page displayed without the margins. The print pages are more than one if the drawing is larger than the printer paper. The size of the printer paper is set in the Page page.

Print preview...

Clicking on this button you open the Print preview window that displays an exact preview of the drawing as it would be printed (the whole drawing, not only one page of it) with the current setup that is not necessarily saved. You can have a print preview without opening the Page setup window, too: just using the Print preview command.

Open settings...

Read a page setup file that was previously saved.

Save setup...

Saves the current page setup as file in order to reuse it subsequently.

Default setup

Resets the settings made in all pages at their default values.

The general page setup (Printer page and Page page) are saved separately from the page setup of other programs and are set for every new drawing.

All settings are always saved together with the drawing and are read automatically when the drawing is loaded.

In case of a multiple windows view the view and scale settings in the View page are disabled: the drawing will be printed the way it is displayed on the screen, not being defined the window where the settings should be applied.

Pay attention to the fact that there are different concepts of printer paper and drawing paper. The printer paper is physically the single sheet of paper where draws the printer. Instead, the drawing paper is the sheet on which we consider to print our drawing. The two may coincide (Default setting for Size in the Drawing page), but not necessarily, because you can also print drawings on paper sizes not supported by the printer. For example you can print on an A0 size while having available a printer capable of printing only on A4 size, in this case the drawing A0 is printed on multiple sheets A4, to be precise 18.

Printer page

This page lets you set the printer you want to use.

It has to be reminded that besides printers you can use plotters as well which are managed by the program the same way as printers.

Printer

In this field you choose the printer you want to use:

Name

Displays the printer chosen. The pull-down menu offers a list of all installed printers.

Beneath some information on the selected printer is displayed.

Printer properties...

Lets you modify the settings of the selected printer according to the modes of the printer driver. Eventual modifications are valid for the drawing program only, they don’t interfere with the system settings.

Print unit

Lets you define the unit of measure for all settings: metric or English.

Color of printer paper

This setting corresponds to the Desktop color setting in the View page of the CAD Options window. If the check box of Colored paper is checked the printer will consider the color of the print sheet set in the input field aside. E.g. a white segment on white paper is printed black. The available colors are the same as the color attributes of graphic entities.

Page page

This page lets you set the printer paper. The drawing sheet is set in the Drawing page.

In the Preview the print sheet is displayed as red square. If the size of the drawing sheet is bigger than the printer paper you will need more print sheets for printing the whole drawing: in the Preview you then can see several numbered red squares, one for each print sheet

Printer paper

In this field you set the print page:

Size

In this field you set the format of the printer paper that can be selected from the list of the available paper formats in the pull-down menus. The available formats depend on the printer driver.

Feed

The feed can be selected from the list of the available feed modes in the pull-down menu.

Portrait

With this option the print page will be put vertically.

Landscape

With this option the print page will be put horizontally.

Print range

In case the drawing needs more print pages (i.e. if the format of the drawing sheet is bigger than the printer page format set in this sheet) in this field you can decide what pages are to be printed:

All

All pages will be printed.

Pages

Only those pages are printed that are indicated in the input field on the right (e.g. 1,3, 5-8: prints pages 1, 3, 5, 6, 7 and 8). The page numbers correspond to those in the Preview field.

Margins of the printer paper

In this field you set the margins of the print page. Remember that printers usually have a minimum margin outside of which they cannot print. If in this page you set margins that are under the minimum margins the program when closing the Print settings window asks whether the margins shall be corrected. If you deny, in the print phase outer parts of the drawing might not be considered and not printed, thus. The print area of the print page is displayed in the Preview as dashed box.

Drawing page

This page lets you set the drawing sheet. The print page can be set in the Page page.

The drawing sheet is displayed as white square in the Preview.

Initially the drawing sheet is set equivalent to the print page, but it can be modified separately. You can print a drawing in a larger format than the largest format of the printer: that means that the printer will print several pages that you will have to cut and unite in order to obtain the one drawing in the format you set. In this case in the Preview you will see several numbered red squares representing each one print page on the white drawing sheet square.

Drawing sheet

Here you set the drawing sheet:

Size

In this field you can set the format of the drawing sheet, in the pull-down menu you can select one of the available formats: standard ISO and ANSI formats as well as several special formats:

Default: with this format the size of the drawing sheet always corresponds to the printer paper as set in the Page page, margins included; this way the print area will always correspond to the occupied drawing area.

Customized: this format lets you set the format of the drawing sheet as you like it: use the two input fields under the Size field that is enabled when you click here.

Multiple pages: with this format the size of the drawing sheet is set to make sure that the number of print pages is a multiple of the format set in the Page page. To get the correct size you have to define the number of Rows and Columns in the corresponding input fields under the Size field that is enabled when you click here. The size of the drawing sheet as well as the print page, margins included, is then calculated.

Portrait

The print page will be vertical.

Landscape

The print page will be horizontal.

Margins of the drawing sheet

Here you can set the margins of the drawing sheet. In case under Size you have selected Default the input fields are disabled: in that case the margins of the drawing sheet equal the margins of the print page set in the Page page.

Options page

This page lets you scale graphic entities or display only part of them for the printing.

Scale

Usually, the scale settings for the graphic entities made in the View page are valid for the printing, too. In this field, though, you can set a different scale, that can be absolute or relative, for certain types of entities or attributes; for the specific meaning see below.

In the column on the left you find a list of the entities and attributes a different scale can be set for. If you don’t check the check box the respective input field is disabled and the scale is the general scale of the drawing. If the check box is checked the input field is enabled and you can define the scale for the respective entity or attribute. Two scale types are available:

Absolute scale

Is enabled when the Absolute check box is checked. In this case the first input box is locked, its value is 1, the other input box is enabled: you have to insert the absolute value in the unit of measure displayed beside the box that shall correspond to drawing unit 1 in the printing.

Relative scale

Is enabled when the Absolute check box is not checked. In this case both input boxes are enabled; in the first you insert a value in the drawing unit (usually 1), in the other (on the right) you have to insert the value in the unit of measure displayed beside the box that shall correspond to the value in drawing unit in the printing.

The meaning of the values set in the input boxes is specific:

Hatchings: Spacing of the hatching

Points: Point size

Text height: Character height

Dimension height: Character height of the dimension text

Line types: Multiplication factor of the pieces of a dashed line. The option doesn’t concern continuous lines.

Width: General multiplication factor of the widths that are set in the Pens sheet.

View

Lets you select the entity types to be printed. If the option All is checked all entities are printed, and the other check boxes are disabled. Otherwise they are enabled and let you select one by one (by checking the respective check boxes) the entities you want to print.

View page

Here you can define the view settings.

Fit

If the check box is checked the drawing scale is selected automatically in order to adapt the drawing to the printer paper. With this option the drawing is automatically centered.

Optimum scale

Shows the value of the optimum scale in case the Fit option has been enabled.

Drawing scale

Checking the check box you can set the drawing scale inserting a value in the input field. Besides the Unit of Measure input field at the bottom of the sheet is activated: it lets you define the unit of measure that shall correspond to the non-dimensional drawing unit.

Current view

If the check box is checked the center of the drawing sheet (set in the Drawing page) will correspond to the center of the current view of the drawing.

Centered

If the check box is checked the center of the drawing sheet will correspond to the center of the box of the printed entities.

Origin

If the check box is checked the origin of the drawing sheet will correspond to the origin of the box of the printed entities.

Print selected entities

If the check box is checked selected entities are printed only; otherwise all entities will be printed.

Rotated

If the check box is checked the drawing is printed rotated by the value inserted in the input field aside.

Crop marks

If the check box is checked crop marks are printed at the corners of the print area of the printer paper, i.e. at the corners of the margins set in the Page page. This option helps you unite the pages in case you are printing a drawing on several pages.

Margins

If the check box is checked the margins of the print area are printed.

Monochrome

If the check box is checked the drawing is printed in black and white.

Unit of Measure

This field is enabled when the printing is set to be scaled (Drawing scale check box). Here you can define the unit of measure that shall correspond to the non-dimensional drawing unit, e.g. if cm is selected and the scaling factor is 3 a line with length 1 in the print will be 3 cm long.

Pens page

This page lets you set the respective correspondence between the various screen colors and the print colors as well as the correspondence between the widths of the graphic entities on the screen and in printing.

Colors

This field contains the lists of both screen colors and print colors with aside their respective attribute value. On the right there is a list of the widths besides. Selecting a color from the list you have the following possibilities:

Color

Selects the screen color. By selecting another color from the pull-down menu you move the list to the respective color.

Pen color

Sets the print color of the entities with the screen color selected under Color. The print color can be selected from the pull-down menu.

Pen width

Sets the width the entities with the screen color selected under Color are printed with. The width can be selected from the pull-down menu. If the option Activate width in the Width field is checked the width of an entity doesn’t depend on its color, but on its width attribute.

Width

Here you can set the correspondence between width on the screen and width in print.

Activate width

If the check box is checked the width of an entity depends on its width on the screen, otherwise the screen width is ignored: the width then depends on the entity color as set in the Color field.

Width

Selects the width on the screen. It can be selected from the pull-down menu.

Pen width

Sets the print width of the entities with the screen width selected under Width.

Remember that if the Width checkbox in the Scale field of the Options page is checked the factor that is defined there multiplies all widths set here.


Attributes window

This window allows you to manage the attributes. It can be opened and closed by use of the Attributes command. The window can remain open during the work session.

Beneath the title bar of the window there are two buttons that let you define the mode of the attributes:

Sets the Define attributes mode.

In this mode, the value set for a given attribute becomes the current value for that attribute in the sense that it is automatically applied to all the graphics entities that are created and admit it as an attribute.

Sets the Modify attributes mode.

In this mode you can change the attributes of a graphical entity without modifying the current values of the attributes themselves.

In Modify attributes mode you can select more primitive simultaneously, for the generic attributes also primitives of a different type. The attempt to assign an entity an attribute that does not handle has no effect.

In the case where one or more entities are selected, these two buttons are disabled. In this case you see the attributes of the primitive selected (or those common to the primitives selected), which can then be modified.

Next to these two buttons there are two other buttons that let you insert an angle value getting it from the drawing. These buttons are enabled when an angle input field is selected.

Angle 3 points

Requires entering three points, and inserts an angle with point 2 as vertex and defined by two half-lines that pass through point 1 and respectively point 3.

Angle =

Requires the selection of an entity and inserts an angle equal to that which the entity forms with the X axis.

The window consists of several pages that assemble each a type of attributes corresponding to an entity type:

  • General page

  • Texts page

  • Dimensions page

  • Dimension text page

  • Hatching page

  • Units of measure page

General page

This page lets you manage the attributes that are common to all types of graphic entities. The general attributes are:

Color

Sets the value of the color attribute that can be selected from the pull-down menu. Available color options:

  • 256 default colors: these colors cannot be modified.

  • Color by block: the entity is displayed in the color of the block it belongs to. If it doesn’t belong to any block it is displayed in white.

  • Color by layer: the entity is displayed in the color of the layer it belongs to. The color can be modified through the Layers window .

In the Pens page of the Print setting window you can assign a print color to each color on the screen.

Width

Sets the value of the width attribute that can be selected from the pull-down menu.

The display of the width in the drawing area can be set in the View page of the CAD options window.

The width that is visible on the screen depends on the resolution of the graphic card of your computer; it doesn’t necessarily correspond to the width that will be printed by use of the Print command. In the Pens page of the Print settings window you can assign print width to each width on the screen.

Point type

Sets the value of the point type attribute that can be selected from the pull-down menu.

The size of the point in the Drawing area depends on the resolution of the graphic card of your computer. In the print phase it depends on the resolution of your printer. It can also be set as scaled in the Options page of the Print settings window.

Line type

Sets the value of the line type attribute that can be selected from the pull-down menu.

The display of the discontinuous line types in the drawing area depends on the resolution of the graphic card of your computer. It can also be set as scaled in the Options page of the Print settings window.

Fill

All entities, lines and points excluded, have the fill attribute. If the check box is checked the area enclosed by the entity is filled by the color of the entity itself. In case the entity is an open form, such as arcs , polylines and splines, the part to be filled is closed by the virtual line that joins one vertex of the entity to the other.

Layer

Sets the value of the layer attribute that can be selected from the pull-down menu. The active layer can also be defined by setting the Work property for the layer selected in the Layers window.

Through the Layers window you can create, modify and delete layers.

Texts page

This page lets you manage the attributes that are common to Text entities. The specific text attributes are:

Font

Sets the font that can be selected from the pull-down menu. All available TrueType fonts are available and 5 own fonts of the program.

Style

Sets the font style that can be selected from the pull-down menu. Styles are available for TrueType fonts only, not for the program fonts.

Height

Sets the value of the height attribute that can be selected from the pull-down menu or by use of the keyboard entering directly the value in the input field. The height refers to the capitals, such as 'A'.

Effects Field

Underlined The text is underlined on its whole length.

Crossed The text is crossed on its whole length.

Box Draws a rectangle around the text..

Capital The text is entirely displayed in capitals. Small letters remain saved as small, though; this option concerns the view only, not the text itself.

Hidden The text is not displayed. When this setting is active the Box setting is automatically enabled in order to make sure that the text remains available for further operations; otherwise it even wouldn’t be selectable any more.

Proportional The characters of a proportional font have a variable breadth; that increases their legibility. The characters of a non-proportional font instead occupy all the same space. This quality is useful e.g. for the construction of a table with numbers which is a lot more legible when the numbers are aligned. This attribute doesn’t concern TrueType fonts, but only the fonts of the program.

Justification Field

Origin Sets the origin of the text, i.e. its postition with respect to the inserting point.

Justification Is used in case of multiline texts; it sets the justification of the text lines with respect to the box that is occupied by the text:

Left The lines begin at the left border of the box.

Right The lines end at the right border of the box.

Centered The lines are centered with respect to the box.

Justified Blank spaces are added between the words of a line in order to make each line of the text touch both borders of the box: the breadth of the text will correspond to the breadth of the box.

Spacing Field

The entered values are defined as the ratio with the height of the text (entered in Height).

Line spacing Sets the vertical distance between the origin of two lines. Line spacing value 0 means superimposing lines.

Spacing Sets the horizontal distance between the characters. A positive value means an increase of space between the characters, a negative value means a decrease of space.

Other attributes Field

Slant Sets the slant of the character within the character cell. The value indicates the inclination angle, expressed as centesimal degrees, of the character with respect to the straight position. A positive value lets the character incline forward, a negative value lets it incline back. This option is enabled for the program fonts only.

Base/height ratio The value defines the ratio base : height of the character cell.

Angle Indicates as degrees the inclination of the whole text with respect to the horizontal axis. A positive value makes the text rotate anticlockwise round the application point.

Dimensions page

This page lets you manage the attributes that are common to Dimension entities. Attributes of dimension texts are managed separately through the Dimension text page. The units of measure for the display of the dimensions, instead, are managed through the Units of measure page.

The attributes of dimension are:

Colors Field

This field lets you separately set the colors of the various parts a dimension is made of:

Dimensions dimension line and arrows

Extensions reference lines

Text dimension text, eventual texts on the left or the right included

Tolerances dimension tolerances

To assign one single color to all parts of the dimension you are recommended to set the Color attribute through the General page.

Arrows Field

Type Sets the arrow type; value 0 indicates the absence of an arrow.

Ratio Sets the ratio between the arrow size and the character height of the dimension text.

Tolerances Field

Upper Sets the value of the upper tolerance; a blank input field indicates the absence of an upper tolerance.

Lower Sets the value of the lower tolerance; a blank input field indicates the absence of a lower tolerance.

ISO Sets the ISO code for the tolerances. In this case the values inserted under Upper and Lower are ignored; upper and lower tolerance are calculated according to the code.

Various Field

Factor Sets the multiplication factor for dimensions. Value 1 means the dimension text displays the value of the dimension in drawing unit. Inserting here another value you can scale the dimension value by the respective factor.

Ref. Dist. Sets the value of the Reference distance, i.e. the distance between the measured point and the extension line. If you want to detach the extension from the measured entity insert a value different from 0.

A positive value defines the distance between the reference points and the reference lines of the dimension.

A negative value defines in its absolute value the length of the reference lines; they start from the dimension line and are detached from the reference points.

Dimension text page

This page lets you manage the attributes that are common to dimension entities . The other dimension attributes are managed through the Dimensions page and the Units of measure page.

In general the attributes of dimension texts are the same as the attributes of normal texts - that are managed through the Texts page – with the following differences:

  • The attributes are saved separately.

  • Dimension texts have a fixed inclination and a fixed origin, they are aligned to the dimension line.

  • Dimension texts can consist of one single line only.

The attributes of dimension texts are:

Font

Sets the font that can be selected from the pull-down menu. All available TrueType fonts are available and 5 own fonts of the program.

Style

Sets the font style that can be selected from the pull-down menu. Styles are available for TrueType fonts only, not for the program fonts.

Height

Sets the value of the height attribute that can be selected from the pull-down menu or by use of the keyboard entering directly the value in the input field. The height refers to the capitals, such as 'A'.

Effects Field

Underlined The text is underlined on its whole length.

Crossed The text is crossed on its whole length.

Box Draws a rectangle around the text..

Capital The text is entirely displayed in capitals. Small letters remain saved as small, though; this option concerns the view only, not the text itself.

Hidden The text is not displayed. When this setting is active the Box setting is automatically enabled in order to make sure that the text remains available for further operations; otherwise it even wouldn’t be selectable any more.

Proportional The characters of a proportional font have a variable breadth; that increases their legibility. The characters of a non-proportional font instead occupy all the same space. This quality is useful e.g. for the construction of a table with numbers which is a lot more legible when the numbers are aligned. This attribute doesn’t concern TrueType fonts, but only the fonts of the program.

Other attributes Field

The values inserted for Ratio b/h and Spacing refer to the text height (selected under Height).

Slant Sets the slant of the character within the character cell. The value indicates the inclination angle, expressed as centesimal degrees, of the character with respect to the straight position. A positive value lets the character incline forward, a negative value lets it incline back. This option is enabled for the program fonts only.

Ratio base/height The value defines the ratio base : height of the character cell.

Spacing Sets the horizontal distance between the characters. A positive value means an increase of space between the characters, a negative value means a decrease of space.

Hatching page

This page lets you manage the attributes that are common to the Hatching entities. The attributes of hatchings are:

Angle

Inclination of the hatching lines in sexagesimal degrees (full angle = 360°).

Step

Distance between two hatching lines. Step 0 means the densest hatching step ever possible (equals fill).

Type

Lets you select the type for the display of the hatching.

Units of measure page

This page lets you manage the attributes that are common to the units of measure for the display of the texts of the Dimension entities. The other dimension attributes are managed through the Dimensions page and the Dimension text page.

The unit of measure can be set separately in the Space units field, for linear dimensions, and the Angular units field, for angular dimensions.

Space units field

Here you can set the format of the numbers that express the linear dimensions. Two units of measure formats, Engineering and Architectural, use the English system (inch), the others use the metric system. The formats are:

Decimal decimal notation (ex. 15.50)

Engineering measures in feet and decimal inches (ex. 1’-3.5”)

Architectural measures in feet, inches and fractional inches (ex. 1’-3 ½”)

Fractional integers and fractionals (ex. 15 ½)

Scientific scientific notation: numbers with mobile point and powers of ten (ex. 1.55 E+01)

Angular units field

Here you can set the format of the numbers that express the angular dimensions:

Decimal degrees the circle describes an angle of 360°, degree fractions are expressed in decimals (ex. 30.500°)

Degrees/min/sec the circle describes an angle of 360°, degree fractions are expressed in minutes and seconds (ex. 30°30’0”)

Centesimal degrees the circle describes an angle of 400°, degree fractions are expressed in decimals (ex. 30.889g)

Radians the circle describes an angle of 2¶ (number pi), degree fractions are expressed in decimals (ex. 0.532r)

Decimal precision field

Here you can set the number of decimal places, i.e. the precision the measuring values shall be displayed in. These settings don’t modify the precision of the values in memory that remains on the maximum level.

Dimensions Number of decimal places that will be displayed in the dimension text. If the check box Delete unused zeroes is checked the last digit after the decimal point that doesn’t equal zero will be rounded

Tolerances Number of decimal places that will be displayed in the texts of eventual tolerances. If the check box Delete unused zeroes is checked the last digit after the decimal point that doesn’t equal zero will be rounded.

The units of measure set in this sheet are the same that are set in the Units of measure page of the CAD options window. Whereas here you set the display of the dimensions in the drawing area in the Options you set the units of measure for the display of the dimensions in the Information window.


Layers window

This window lets you manage the Layers and can remain open during the work session.

The window shows the list of the defined layers that contains the following information about each layer:

Status

The icons displayed in the status column indicate the status of the layer:

Work layer. There is always one work layer only.

Visible layer.

Invisible layer.

If a layer is visible are visible all entities that have as their attribute level, the number corresponding to that level. The active layer is always visible. The level 0 is always visible, even if it is not active. The characteristic of visibility is useful to be able to control different levels of detail of our drawing, both in construction phase of the drawing and during printing.

Locked layer, protected from writing.

Unlocked layer, not protected.

If a layer is protected you can not delete or modify entities that belong to him, and it is not possible to create new entities. This is useful in order to avoid unwanted changes to a part of the drawing consolidated. The active layer can not be protected. The layer 0 can never be protected, even if it is not active.

Number

Indicates the layer number, i.e. the value of the layer attribute.

At the start of the program are defined layers 0 and 1. Layer 0 is a particular layer, which can never be erased, is always visible and can not be protected.

Color

Shows the color that is assigned to the layer.

If an entity has as Color attribute equal to By layer is displayed with the color associated with the layer to which it belongs.

If in the General page of the CAD options window is activated Layer color, when a layer becomes the work layer, the color associated with the the layer becomes the current one.

Description

Shows the layer description.

Selecting a layer in the list and right clicking you can open a contextual menu that offers several options for the selected layer:

Work

If the check box is checked the selected layer is work layer (the active layer). Otherwise you can make it work layer selecting here.

Visible

If the check box is checked the layer is visible. Selecting here you can modify the visibility status of the layer: a visible layer becomes invisible and vice versa. Remember that work layer and layer 0 are always visible.

Lock

If the check box is checked the layer is locked. Selecting here you can modify the protection status of the layer: a locked layer becomes unlocked and vice versa. Remember that work layer and layer 0 are always unlocked.

Create...

Calls the Create / Modify layers window for the creation of a new layer.

Modify...

Calls the Create / Modify layers window for the modification of the selected layer.

Delete

Deletes the selected layer. A layer can only be deleted if it is blank, i.e. if it doesn’t function as layer attribute for any graphic entity, block components included. Work layer and layer 0 cannot be deleted.

Select all

Selects all layers from the list in order to modify them all together.

You can select multiple layers at once as follows:

  1. Select the first level of the group.

  2. Holding down the shift key, select the last level of the group.

At this point, you can perform the same action on all selected layers. Some actions are disabled. For example, you can make it work layer or modify only one layer at a time. Also, if is made not visible a group that contains the work layer or layer 0, this action has no effect on the work layer and layer 0. Similarly, if is made protected a group of layers.

BlueSol inserts the entities it creates (modules, devices, cables, etc... on the Layout page, and the Electric scheme) in particular layers that are not visible in the Layers window and then can not be modified by the user.


Coordinates window

This window allows you to enter a point by inserting its coordinates. The window can stay open during the work session.

The window consists of several pages that let you insert the coordinates in various ways:

  • Absolute coordinates page

  • Incremental coordinates page

  • Polar coordinates page

Absolute coordinates page

This page lets you insert a point by the immediate entering of its coordinates. The coordinates values are inserted separately in the X and Y input fields.

Checkboxes of the X and Y input fields

If the check box is checked the corresponding coordinate is locked; the inserted point will have the inserted value for the corresponding coordinate; in interactive inserting the echo displays the situation.

X and Y input fields

Contain the values for the x and y coordinates. With the input of a new point (input by mouse included) the fields are automatically updated by the new coordinates values. The values can then be reused for the input of the subsequent point. In the fields you can insert expressions that use the same syntax as the Calculator window.

By use of the arrow keys you can recall the last 10 inputs made in the respective input field.

X= and Y= buttons

Call X = and Y = commands respectively that let you set the x coordinate (by use of X=) or the y coordinate (by use of Y=) equivalent to the coordinate value of the selected point. The commands lock the respective coordinate.

Ix= e Iy= buttons

Call Increase in X and Increase in Y commands respectively that let you define an increase of the x coordinate (by use of lx=) or the y coordinate (by use of ly=) with regard to the last selected point, i.e. with regard to the value displayed in the respective X or Y input field. The commands lock the respective coordinate.

Dx= e Dy= buttons

Call respectively the Distance in X and Distance in Y commands that let you define an increase of the x coordinate (Dx=) or the y coordinate (Dy=) in relation to the next point to be inserted. In interactive inserting the echo displays the situation.

Insert

Inserts the point with the coordinates values that are defined in the X and Y input fields.

Incremental coordinates page

This page lets you insert a point by the definition of the increase of its coordinates with regard to the last inserted point.

Dx and Dy input fields

Contain the increase values for the x and y coordinates. By use of the arrow keys you can recall the last 10 inputs made in the respective input field.

Insert

Inserts the point with the coordinates values that equal the coordinates of the last inserted point plus the increases defined in the Dx and Dy input fields.

Polar coordinates page

This page lets you insert a point by the definition of a distance to the last inserted point and an angle with respect to the X axis.

Distance

Is the value that defines the distance of the next point to be inserted from the last inserted point.

By use of the arrow keys you can recall the last 10 inputs made in the input field.

Angle

Is the inclination of the next point to be inserted with respect to the X axis in relation to the last inserted point. A positive value means an angle in anticlockwise direction.

By use of the arrow keys you can recall the last 10 inputs made in the input field

D= button

Calls the Length = command that retrieves a length from the selected entity. The value is inserted in the Distance field.

A= button

Calls the Angle = command that requires the selection of an entity to calculate the angle the entity forms with respect to the X axis. The value is inserted in the Angle field.

A3pt= button

Calls the Angle 3 points command that requires the selection of 3 points to retrieve the angle formed by these three points with the second point as vertex. The value is inserted in the Angle field.

Insert

Inserts the point with x and y coordinates obtained from the last inserted point at a distance and at an angle equal to the values inserted in the Distance and the Angle input fields.


CAD options window

This windowlets you manage the CAD settings of the program.

The window consists of several sheets that correspond each to one type of program components that can be set:

  • General page: General settings of the program.

  • View page: View mode of the drawing area.

  • Grid page: Some grid settings. Further settings are available using the grid commands of the View menu.

  • Snap points page: Automatic snap and Ortho mode

  • Units of measure page: Format of the numbers displayed in the Information window.

  • Dwg - Dxf page: Writing version of DWG and DXF formats.

General page

This page lets you perform the general settings.

Copy onto active layer

If the check box is checked, in moving and copying operations the moved entities are copied onto the work layer, i.e. they change layer attribute; otherwise layer attributes are left intact.

ISO text orientation for text

If the check box is checked, texts, dimension texts included, are displayed according to the ISO norms, i.e. the orientation of texts eventually turned upside down is automatically corrected in order to ensure an easy reading.

Optimum dimensioning

If the check box is checked, the program activates the optimum positioning of the dimension text, i.e. the text is above the dimension line centered at its middle point.

Layer color

If the check box is checked, when the respective layer becomes work layer, the color assigned to the layer becomes the current color.

Lock color by layer

If the check box is checked, when an entity has color By layer, if the layer is changed the color does not remain By layer (visually could change if the two layers do not have the same color), but is replaced with the actual color of the starting level.

View page

This page lets you set the view mode of the drawing area.

Colors

In this field you set the color attribute for:

Desktop

The background of the drawing area.

Selection

The selection echo of the entities.

Feedback

In this field you can set the echo of the operations on the screen.

Entity selection

If the check box is checked, the entity the cursor is approaching to changes its color when the program requires the selection of an entity. The selection color can be set under Selection in the Colors field.

Creating entities

If the check box is checked, the program - during the interactive creation of an entity when the input of operands such as points or the selection of an entity is required - displays a dynamic preview of the entity in creation that changes with the movements of the cursor in the drawing area. Otherwise the only thing to be displayed is the cursor itself.

Complete echo

If the check box is checked, the echo of complex entities such as blocks or texts is a complete reproduction of the entity itself; otherwise the only thing to be displayed in the echo is the entity box. You are recommended to disable this option in case you want to insert a complex block in your drawing because the calculating of the echo can slow down the actual operation.

Tooltip

If the check box is checked, if you move the mouse close to an entity while a selection is required, after a few seconds displays a box with some information on the entity.

View

In this field you can set the width and bitmap view. Their display can be disabled in order to increase the drawing speed or for view necessities.

Width

If the check box is checked, entities are displayed in their width, otherwise they are always displayed in width 1. This setting doesn’t act on printing: entities are always printed in their specific width.

Images

If the check box is checked, background pictures are displayed. This setting acts on printing, too.

A planimetry inserted as an image is a background image.

Quick width

This option can be activated only if the Width option is active. In that case, if this check box is checked, all line widths that exceed width 1 are displayed as width 2.

Undefined blocks

If the check box is checked, undefined blocks are displayed, otherwise they are invisible.

Grid page

This page lets you define the view mode of the grid.

Show grid

If the check box is checked, the grid is visible in the drawing area .

The visibility of the grid and snapping the cursor to the grid are independent and can be controlled separately.

Spacing

Lets you set the spacing of the grid.

X=

Grid spacing along the X axis.

Y=

Grid spacing along the Y axis.

Same spacing for x and y directions

If the check box is checked, the Y= input field is disabled; the value of the X= input field is assigned to both directions.

View type

Lets you choose the view mode of the grid.

Points

Grid made of points.

Lines

Grid made of lines like a squared sheet.

Grid color

From the pull-down menu you can select the display color of the grid.

Snap points page

This page lets you set the automatic snap points and the permanent automatic snap as well as the ortho mode.

Automatic snap field

Defines the point types that are enabled for the automatic snap . If the check box is checked, the correspondent point type becomes a snap point for the automatic snap mode, i.e. it will be among the points the cursor will snap to.

Ortho mode

Enables the permanent ortho mode. If the check box is checked, you don’t need to press the Ctrl key to insert a point perpendicularly with regard to the previously inserted point.

Permanent automatic snap

Enables the permanent automatic snap. If the check box is checked, you don’t need to press the Shift key to use the automatic snap.

Units of measure page

This page lets you set the format of the numbers showed in the Information on graphical entities window.

Space units and Angular units can be set separately.

The number of decimal places can be set under Decimal numbers.

Space units field

Here you can set the format of the numbers that express the linear dimensions. Two units of measure formats, Engineering and Architectural, use the English system (inch), the others use the metric system. The formats are:

Decimal decimal notation (e.g. 15.50)

Engineering measures in feet and decimal inches (e.g. 1’-3.5”)

Architectural measures in feet, inches and fractional inches (e.g. 1’-3 ½”)

Fractional integers and fractionals (e.g. 15 ½)

Scientific scientific notation: numbers with mobile point and powers of ten (e.g. 1.55 E+01)

Angular units field

Here you can set the format of the numbers that express the angular dimensions:

Decimal degrees the circle describes an angle of 360°, degree fractions are expressed in decimals (e.g. 30.500°)

Degrees/min/sec the circle describes an angle of 360°, degree fractions are expressed in minutes and seconds (e.g. 30°30’0”)

Centesimal degrees the circle describes an angle of 400°, degree fractions are expressed in decimals (e.g. 30.889g)

Radians the circle describes an angle of 2p, degree fractions are expressed in decimals (e.g. 0.532r)

Decimal numbers field

Here you can set the number of decimal places, i.e. the precision the measuring values shall be displayed in.

Input field number of decimal places to which the number is displayed.

Cancel redundant zeros If the check box is checked the last digit after the decimal point that doesn’t equal zero will be rounded.

The units of measure settings you perform in this sheet are the same as in the Units of measure page of the Attributes window. But instead of setting the display of the numbers in the drawing area as the Attributes settings do, in this page you set the units of measure for the display of the numbers in the Information window.

The display of the dimension of a dimension entity within the Information window is an exception: here unit of measure and decimal precision are the same as are defined for the dimension entity; so that in this case the screen attribute settings and the settings for the Information window are identical.

Dwg - Dxf page

In this page you can set the saving mode for DWG and DXF formats.

You can read and write drawings in DWG and DXF formats, both in various versions. Whereas in reading the version of the file is automatically recognized for saving you have to set the version by use of this sheet.

Save as version field

DWG Choose from the pull-down menu the version you want to write the DXF formatted drawing in. All formats are available, i.e. 2.5, 2.6, 9, 10, 11, 12, 13, 14, 2000.

DXF Choose from the pull-down menu the version you want to write the DWG formatted drawing in. All formats are available, see DWG.

Binary DXF

If the check box is checked, drawings saved in DXF format are saved in binary DXF format.


Databases

In the implementation of projects of photovoltaic systems, BlueSol uses archives of components and data:

  • Photovoltaic modules

  • Inverters

  • Electrical components

  • Climate data

  • Consumption of electrical devices

  • Profiles of electricity consumption

For all these databases BlueSol provides the tools for the insertion of new products and data, or for the modification of those already present. The management tools are all executable from the Home page of the program.

The contents of the archive can be edited and updated by the user, without these changes to be lost by subsequent program updates and of archives standard.

WARNING - The archives of BlueSol are updated with program updates, but it is the responsibility of the designer to verify that the data on the components used in the project correspond as declared by the manufacturer in the technical specifications of the product.


Database PV modules

Database of photovoltaic modules

The archive of the photovoltaic modules contains the module data that can be used by BlueSol in project implementation.This archive is composed of a part of data modules supplied with the program. This section of the database is regularly updated with program updates. In addition to the module data provided by the program, the user can enter others or edit existing ones.

To use the tool of management of the PV modules you must click on PV modules [image] on the Home page.

The left side of the window contains a list of models of photovoltaic modules grouped by manufacturer, with the ability to display all modules or modules favorites. The area to the right shows the data of photovoltaic module selected.

Once you have selected a model you can do the following:

Add the current module to the favorites

Modify the data of the current module,

Delete from the archive the module (only if it is a module entered by the user),

Print description of the current module,

Preview card of the current module,

Inserts a new PV module in archive

The user can also change the module data in the archive provided by the program. In this case it will be created in the user database a copy of the module data with the user's changes. In the event that the same module (same name of manufacturer and model) be present in the standard and in the user archive, the program displays the module data in the user archive. You can delete only the data of the modules in the user archive.


Database inverters

The archive of the inverters contains the inverters data that can be used by BlueSol in project implementation.This archive is composed of a part of data inverters supplied with the program. This section of the database is regularly updated with program updates. In addition to the inverter data provided by the program, the user can enter others or edit existing ones.

To use the tool of management of the inverters you must click on Inverters [image] on the Home page.

The left side of the window contains a list of models of inverters grouped by manufacturer, with the ability to display all invertrs or inverters favorites. The area to the right shows the data of inverter selected.

Once you have selected a model you can do the following:

Add the current inverter to the favorites

Modify the data of the current inverter,

Delete from the archive the inverter (only if it is a inverter entered by the user),

Print description of the current inverter,

Preview card of the current inverter,

Inserts a new inverter in archive

The user can also change the inverter data in the archive provided by the program. In this case it will be created in the user database a copy of the inverter data with the user's changes. In the event that the same inverter (same name of manufacturer and model) be present in the standard and in the user archive, the program displays the inverter data in the user archive. You can delete only the data of the inverters in the user archive.


Database electrical components

The electrical components used by BlueSol to implementation of projects, are handled and stored in archives that contain information relating to:

  • Cables

  • Surge arresters

  • Disconnecting switchs

  • Switchs

  • Fuses

  • Diodes

  • Transformers

The archives of the electrical components, as well as are provided at the time of installation of the program, contain a limited number of products. The purpose of these archives is not to provide a complete set of these components, which would be difficult to keep up to date. The aim is to provide a powerful and integrated tool to manage the data of the electrical components that the designer most commonly uses, then the user will enter the data in the design phase and store them in the database to be used by future projects.

To use the management tools of the archives of the electrical components you must use the buttons in the group box Electrical components databases of the Home page.

The management operations of the archive are:

Insertion of a new product in the database,

Deleting the selected product,

Edit the selected product,

Acceptance of the changes made,

Cancel any changes made.

To each product in the archives is assigned a field Code, alphanumeric of 20 characters that uniquely identifies the product. The encoding is handled freely by the user, of course, the program will not allow the same two codes in the same archive.

See also:

Electrical components


Database climate data

The archive of climate data contains information, used by the program, which are related to the location of the photovoltaic system: irradiance, temperature, geographic coordinates, time zones. BlueSol comes with a default archive of climate data which includes:

- Data NASA-SSE for about 1400 locations worldwide

- Data ENEA for Italy

- Data UNI 10349 for Italy

This database can however be extended by the user, adding new locations [image] and sources of climate data.

The Search location [image] command allows you to select the location places depending on the choice the country and the data source of radiation.

The toolbar proposes a list of countries for the sources of climatic data currently selected. The first step is the selection of the source of climatic data, then appears the countries for which the data are available. All locations, available for the selected country, will be displayed.

The location can be selected by scrolling through the list of locations, or entering the name in the search box location. Writing the Location, the list scrolls proposing the location that is closer to the text that you are typing. Usually just type a few characters to see displayed the name you search.

Once you have selected the location, the window proposes the values of irradiance per day (average monthly) on a horizontal plane, with respect to diffuse and global irradiance. In addition, values are proposed average annual total irradiance, measured on a horizontal plane, the components of direct, diffuse and global.

If the maximum and minimum temperatures of the locations were not known, these values must be left zero. In this case the program assumes, in the calculations of the verifications on the tensions produced by photovoltaic modules, that the minimum and maximum values reached by photovoltaic modules are defined in project settings (default values are -10° and +70° C).

See also:

Location


Database of consumption of electrical devices

An archive containing the characteristics of energy consumption of electrical devices, allows to realize a faster consumption profile of a user. The management tool of these archive displays the devices offered by the program and those created by user.

The archives of electrical equipment supplied with the program may not be editable and can be updated by the manufacturer with program updates.

The functionality available to work on electrical devices are:

Insertion of a new device in the archive

Edit the currently selected device

Copy creates a new device using the data of the selected

Delete of the selected device

The electrical devices supplied with the program can be used as starting points for creating new ones making changes, this can be done with the Copy command.


Database of profiles of electricity consumption

The archive of consumption profiles allows you to store information about when and how much electricity consumes a certain type of user. Each consumption profile can be modified or used as a template to create similar to store in the database and use in future projects.

In the left area of window of the management of consumption profiles you choose the profile by name within groups Program database or User database. In the area of the right displays the details of the profile consisting of all their electrical devices.

The functions available to operate on the profiles are:

Insertion of a new consumption profile in the database

Changing consumption profile currently selected

Copy, create a new profile of consumption using data from the selected one

Clearing from database the consumption profile selected

The archives of consumption profiles, supplied with the program, should be considered as indicative and references is the responsibility of the designer to assess the applicability in each design situation.


Import and export user database

BlueSol manages an archive of user data. This archive is particularly important in that it stores all the information specified by the user using the program as:

  • Program settings

  • Photovoltaic modules favorite

  • Inverter favorite

  • Photovoltaic modules entered by the user

  • Inverter entered by the user

  • Recently opened projects

  • Electrical Components

  • Configuring user documents

  • Electrical consumption entered by the user

  • Irradiance data entered by the user

  • User properties

  • Protection schemes of electrical panels

This database is created the first time that the computer runs BlueSol and it is never uninstalled or modified by subsequent updates of the program.Given its relevance, it is advised to carry out regular backups of this database. In some cases, then the user can request to share some of these data with other users who work on the same projects.

For these reasons, the data contained in the user archives can be imported or exported via read/write a file in a proprietary format with the extension .dxp. To do this you use the wizard management functionality to import / export and backup (Menu: Home | Import and export)

Import - export user databases

During export, you can choose which files you want to include in the export file. Similarly, on import, you can choose which database to import among those that you are importing, also you can set options to define how import the data:

- Option to delete the data in the database before importing

- If some items are already in the archive, you can replace them with those that you are importing or keeping the ones currently present

The use of import / export is a good way to maintain parity between the user data in case you have multiple installations of the program.

Backup - restore user databases

The program is able to make a backup of all user data by creating a file with the extension .bck that can be used to restore user data.

When you perform a restore of the user archives the entire archive is replaced with the backup

In case you change your computer after you install the product on the new machine you should use a backup file to restore on the new machine the same user data.


Print project documentation

When the project has been realized it will be possible to automatically generate the documentation. BlueSol uses the document templates that the program completes by entering the project data, some standard models are provided with the program, but the user has the option to edit or create new ones.

The window of documentation management is activated with the button [image] in the Quick Access area of the title bar, or with the keyboard shortcut Ctrl + P. This window shows the available documents by categories:

  • Project documentation

  • Tabs

  • User documents

On each document it will be possible: print, print preview, export to RTF or viewing. Each document is created by the program from a template file created in RTF format.

For some documents you can only export to RTF format and viewing, in this case, you will enable only the buttons Export... and View... At the end of exporting the program will perform the application that, in the configuration of operating system, you able to read the RTF file you just created.

In the section of the user documents using the right mouse button, clicking on the text of a document, opens a menu that allows you to manage some features of the user documents:

- Modify definition: change the description and the name of files of the user document.

- Modify text: change the contents of template of the user document.

- Delete: deletes the definition of the user document, however the template file is not deleted.

The visualization of a document is created with a word processor integrated into the program, this tool provides all the functionality for document management: the editing, the printing or saving in various standard formats.


Standard documents

BlueSol generates the following standard documentation:

Project documentation

  • Preliminary project

  • Final project

  • Bill of cables

  • Bill of electrical components

  • Economic report

Tabs

  • Data sheets of photovoltaic modules

  • Data sheets of inverters

These documents are generated by the program from the template file in RTF format delivered with the the program and installed in the directory <Installation path>\Templates.

We do not recommend the user to modify these files because, while upgrading the software, the template file will be overwritten with the default BlueSol. If you want to change a standard document suggest you to create a new user document importing an existing template.


User documents

In addition to the standard documents, the program can create documents that are user defined. To achieve this the user must realize the document template. The model is an RTF file that contains the text (as well as images, tables, etc..) of the document and the references to the data of the photovoltaic project. When generating the documentation the references to the project data are replaced with the data itself in the current project.

The first step to create a user document is to define the Description of the document, so the definition of the template:

  • Import an existing template: the creation of the template starts from a template already exists, it will be used as a starting point. Note that the starting template will not be changed in any way.

  • File name of the user document: explicitly specify the name of the file in RTF format of the template.

  • Empty document: you start with a blank template.

After choosing these parameters will be displayed word-processor integrated with which to modify or write the contents of the template. The text of the model obviously has to be saved at the end of work.

The templates created by the user are stored on files, it will be up of user to perform the backup or copy if you moved the installation of the program on another computer.


Labels of project data

To make the template file of user documentation is necessary to know the labels of data BlueSol. The inclusion of these labels in the template, allows to the program to replace the data in the generation of the final document. The label data is made with the following syntax:

\Category.Name\

Where Category is the category of data and Name is a mnemonic name of the project data in the specified category. These are the categories of data:

Customer: data of customer

Designer: data of designer

Results: results of the analysis the system

Properties: project properties

System: data of the system

Site: site data

Net: connecting to the electrical grid

Graph: some graphics created by the program

Draw: drawings of layout and electrical scheme

PanoramicShade: Far shading diagrams

User: user-defined properties

To simplify the insertion of these labels the program has a tool be used with the integrated word-processor. When you edit the template text, clicking the right mouse button you display a menu that contains the command Insert label... You will see a window that contains all the available labels and their descriptions.


Tables of project data

In addition to the labels of project data, each project contains tables of data that can be included in the documentation templates. To extract the data in these tables is to use the scan cycles of the tables in the macro language for templates. The following are the names of the data tables of BlueSol projects:

(CATEGORY_INVERTER) InverterFeature: Characteristics of inverter installed in the system

(CATEGORY_MODULE) ModuleFeature: Features of the modules used in the system

(CATEGORY_MODULESYS) Module: Module features present in the system

(CATEGORY_INVERTERSYS) Inverter: Data on inverters installed

(CATEGORY_HORIZONSHADE) HShades: Shadings of the horizon line

(CATEGORY_ORIENTATIONS) Orientations: Orientation of the strings (PV fields)

(CATEGORY_STRINGS) Strings: Composition of strings (list and characteristics of the different strings)

(CATEGORY_PANELSDC) PanelsDC: Composition of DC electrical panels (list and features of the panels with different characteristics)

(CATEGORY_CABLES) Cables: Table data for all individual cables

(CATEGORY_CABLESSUMMARY) CablesSummary: Table summary of data relating to different types of cables used

(CATEGORY_CABLESPESUMMARY) CablesPESummary: Table summary of data relating to different types of cables (PE) used

(CATEGORY_CABLESNEUTRALSUMMARY) CablesNeutralSummary: Table summary of data relating to different types of neutral cables

(CATEGORY_SWITCHSPARTLIST) SwitchsPartList: Table data relating to the list of the switches

(CATEGORY_BREAKERSPARTLIST) BreakersPartList: Table data list of disconnecting switches

(CATEGORY_DIODESPARTLIST) DiodesPartList: Table data on the list of diodes

(CATEGORY_FUSESSPARTLIST) FusesPartList: Table data with the list of fuses

(CATEGORY_DISCHARGERSPARTLIST) DischargersPartList: Table data to the bill of surges

(CATEGORY_ECONOMICTABLE) EcoTab: Table of economic data

(CATEGORY_PERIODCOST) PCost: Table of periodic costs of maintenance

(CATEGORY_FIXCOST) FCost: Table-off costs of maintenance


Macro language for template

In the template file of documentation can be inserted control words that allow you to make calculations based on data from the PV system project, before they are included into the final document.

In a report template all controlling words, variables and data fields must be comprised between symbols "\" (back slash),

for example: \date\ or \Query1:CustNo\

Reference to a field name may be created, using its number. For example: \Query1:(0)\, \Table1:(5)\

Report generator ignores spaces in field names and keywords. However, if you want to use name with spaces, you may write it between the chars "[" and "]"

for example: \Table1:[Field name with spaces]\

All labels of project data are part of this macro language and can be used with all its keywords.


IF-ENDIF construction in report

Format of IF-ENDIF construction is:

\If(<boolean value>)\

.............................................

\elsif(<boolean value>)\

.............................................

\elsif(<boolean value>)\

.............................................

\else\

.............................................

\endif\

\elsif\ and \else\ are optional.

<boolean value> may be a variable, data field or user defined function.


Cycle SCAN-ENDSCAN construction in report

All records of a data table, attached to the Table of project data collection, may be inserted in a document as a table rows or in any free form. For this use keywords \Scan(DataTable)\ and \Endscan\. Inside cycle scan-endscan may be located a block of text with data fields, variables and constants, for example:

Lines with words "Scan", "Endscan" are excluded from the result document. However, if in step of designing a report you want to see as will look a result, you may set an attribute "hidden font" for words "Scan", "Endscan".

Full format of scan block is:

\Scan(DataTable) [, while(<boolean value>)] [,page] [,noeof] [,function1,...,functionN]\

.............................................

\Scanentry [,function1,...,functionN]\

.............................................

\Scanfooter [,function1,...,functionN]\

.............................................

\Endscan [,function1,...,functionN]\

If keyword "while" defined in a scan expression, scan block will be terminated when <boolean value> returns false result. "While" is often used with records grouped by some data field. <boolean value> may be a report variable, data field or user defined function.

Option "page" forces to begin every record of scanned DataTable (besides first) from a new page.

If you use option "noeof" report generator will skip entire scan block if scanned DataTable have no any records. This option is useful when making master-details reports.

Attention: with option "noeof" scan block will start from the current record. DataTable will not be moved to the first record.

Words "Scanentry" and "Scanfooter" are optional. You may add them when using option "noeof" in "scan" keyword, or if you want to develop some special functionality, calling optional scan block functions.

Use option "noeof" with keyword \Scanentry\ to manage scan block with some header section. Every new record of DataTable will return control to the position of \Scanentry\ keyword. However, if DataTable has no any records, entire block from "scan" to the "endscan" will be missed. For example:

Keyword \Scanfooter\ may be used to manage scan block with some footer section. Every time when report generator gets "Scanfooter", it returns control to the position of \Scanentry\ or \Scan\ keyword. If DataTable has no any records, entire block from "Scan" to the "Endscan" will be missed. For example:

\Scanentry\ and \Scanfooter\ may be used simultaneously:

NOTE: You must type keywords \scan(...)\, \scanentry\ and \endscan\ all with the same format attributes, for example with font Arial, 10, regular (or other that you like). It guarantees that format attributes inside block scan-endscan will be correct in output document.

If you use "page" option and a table immediately after "scan" keyword in report template, keep in mind that you should have at least one paragraph (empty line) before the table in the RTF document, otherwise, RTF editor such as MS Word ignores "new page" control.

Recommended technique:

When editing report template, place keywords \scan(...)\, \endscan\ outside of table or in the same cell to prevent corrupting of RTF table structure.


Operators and functions in report

Different arithmetical and logical expressions may be used in report template.

Arithmetical operations:

>, <, =, <=, >=, <>, != (not equal), +, -, *, /, % (mod)

Logical operations:

&& (and), || (or), ! (not)

For example:

\IF( (table1:field1>b+1) || (table1:field1=0) )\

............

\ENDIF\

The next built-in functions are supported by report language:

  • Variables and conditions: VAR, SET, IIF, :=

  • String functions: STR, VAL, UPPER, LOWER, COPY, MID, SUBSTR, POS, TRIM, FORMATFLOAT

  • Data tables navigation: EOF, BOF, LAST, FIRST, NEXT, PRIOR

  • Numeric functions: ROUND, INT, FRAC, POWER, INTPOWER

  • Date/time functions: NOW, DATE, TIME, DATETOSTR, DATETIMETOSTR, TIMETOSTR, STRTODATE, STRTODATETIME, STRTOTIME, YEAR, MONTH, DAY, SYEAR, SMONTH, SDAY, DTOS, STOD


Variables and conditions

VAR(VAR1, ... , VAR N) - Creates variables VAR1, ... VAR N if they don't exist.

VarName := Value - Assigns Value to variable VarName, for example \a:=4\

SET(VarName, Value) - Assigns Value to variable VarName.

IIF(Logical_expr, Value1, Value2) - Returns one of two values depending on the value of a logical expression. This function, also known as Immediate IF, evaluates a logical expression and then returns one of two expressions. If the logical expression evaluates to True, IIF( ) returns the first expression. If the logical expression evaluates to False, IIF( ) returns the second expression.


String functions

COPY(S,StartPos,[Optional count])

MID(S,StartPos,[Optional count])

SUBSTR(S,Startpos,[Optional count])

These functions return a characters from the given source string s. Parameter s specifies the character expression from which the character string is returned. StartPos specifies the position in the character expression from where the character string is returned. The first character of s is position 1. If StartPos is greater than the number of characters in source string, the empty string is returned. Optional count specifies the number of characters to return from string. If you omit count, characters are returned until the end of the source string is reached.

STR(Number,[Length, Decimals])

Returns the character equivalent of a specified numeric expression. Number specifies the numeric expression STR( ) evaluates. Length specifies the length of the character string STR( ) returns. The length includes one character for the decimal point and one character for each digit to the right of the decimal point.

STR( ) pads the character string it returns with leading spaces if you specify a length larger than the number of digits to the left of the decimal point. STR( ) doesn,t cut a string, if you specify a length less than the number of digits. If Length isn't included, the length of the character string is number of actual digits in source numeric expression.

Decimals specifies the number of decimal places in the character string STR( ) returns. If you specify fewer decimal places than are in numeric expression, the return value is rounded up. If Decimals isn't included, the number of decimal places defaults to zero.

If Length set to 0, but the same time decimals is not zero, result string is trimmed with trim() function.

POS(Substr, S)

Pos searches for Substr within S and returns an integer value that is the index of the first character of Substr within S. Pos is case-sensitive. If Substr is not found, Pos returns zero.

VAL(s) - Converts the string value s to its numeric representation. If s is not a valid number, exception is raised.

UPPER(s) - Returns the specified character expression in uppercase.

LOWER(s) - Returns the specified character expression in lowercase.

TRIM(s) - Returns the specified character expression with all trailing blanks removed.


Data navigation

In the data tables you can control and navigation functions. These functions are described below

EOF(Table) - Indicates whether or not a cursor is positioned at the last record in a Table.

BOF(Table) - Indicates whether or not a cursor is positioned at the first record in a Table.

LAST(Table) - Positions the cursor on the last record in the Table.

FIRST(Table) - Positions the cursor on the first record in the Table.

NEXT(Table) - Positions the cursor on the next record in the Table.

PRIOR(Table) - Positions the cursor on the previous record in the Table.

For example

\eof(a)\, \next(table1)\

NOTE: You should not use these functions at the same time with SCAN having data table name. You may use these functions in SCAN with no name mentioned, for example:

\Scan(), while( ! eof(table1))\

.....

\endscan, next(table1)\


Numeric functions

ROUND(n,decimals) - The Round function rounds a real-type value to an integer-type value. 0.5 is always processed to largest integer number. This is NOT banker rounding.

INT(number) - Returns the integer part of a real number.

FRAC(number) - Returns the fractional part of a real number.

POWER(base, exponent) - Raises Base to any power. For fractional exponents or exponents greater than MaxInt, Base must be greater than 0.

INTPOWER(base, exponent) - Calculates the integral power of a base value. IntPower raises Base to the power specified by Exponent.


Date time functions

NOW() - Returns the current date and time.

DATE() - Returns the current date.

TIME() - Returns the current time.

DATETOSTR(date) - Converts a date constituent of DateTime value to a string.

DATETIMETOSTR(datetime) - Converts a DateTime value to a string.

TIMETOSTR(time) - Converts a time constituent of DateTime value to a string.

STRTODATE(string) - Converts a string to a DateTime value. Time part is set to 0.

STRTODATETIME(string) - Converts a string to a DateTime value.

STRTOTIME(string) - Converts a time string to a DateTime value.

YEAR(date) - Returns the year of specified date.

MONTH(date) - Returns the month of specified date.

DAY(date) - Returns the day of specified date.

SYEAR(date) - Returns the year of date in string representation.

SMONTH(date) - Returns the month of date in string representation. Month which is less than 10 have zero in place of first symbol - "01", "02" and so on ...

SDAY(date) - Returns the day of date in string representation. Day which is less than 10 have zero in place of first symbol - "01", "02" and so on ...

DTOS(date) - Converts date to the string formatted as yyyymmdd.

STOD(string) - Converts string formatted as yyyymmdd to date value.


Definitions

Interface group: The interface is a protection device of the grid involved in case of faults in the electrical grid. The interface inhibits the release of electric current of the photovoltaic system in the network, in the case where is no voltage on the national grid or in the case in which the parameters of the network found to incorrect. It is therefore a measure of protection placed to grid security, of the system and who should be working. It is composed by Interface relay which opens the Interface protection both in case of fault internal to the protections both for fault of the network.

Sizing on power of inverter (Sizing factor): Represents the degree of exploitation of the inverter in terms of power, it is the ratio between the nominal power of the PV array input and the DC power of inverter

System temperature calculated by the temperature of location: The program calculates the temperature of the photovoltaic modules starting from the value of the ambient temperature and the NOCT (Nominal Operating Cell Temperature) of the cells of the modules. In the event that this value is not present between the data of the PV module it assumes NOCT = 50. The temperature of the module is calculated as follows: TModule = T + (NOCT - 20.0) * 1000.0 / 800.0.

Net metering, is an electricity policy for consumers who own renewable energy facilities such as photovoltaic. In this context, it is used with the meaning what remains after deductions", in this case the deduction of any energy outflows from metered energy inflows. Under net metering, a system owner receives retail credit for at least a portion of the electricity they generate.

Net present value (NPV), establishes the convenience of investment envisaged, by discounting the future cash flows, in order to detect the current value of the investment.

Self-consumption [kWh], is the amount of energy produced by the plant and at the same time consumed by the user. The program indicates this amount as share of self-consumption as the percentage of production of system self-consumed by the user.


Voltage drop

In the cases in which the conductors of the circuit runs through long distances, the voltage drop must be calculated in fact, if the voltage drop is too large, the section of the conductor of the circuit must be increased to maintain the current between the points. The calculations for a single-phase circuit and a phase differ slightly.

Single-phase calculating voltage drop:

Voltage drop [V] = 2 * Cable length * Resistance factor * Current

Three-phase voltage drop calculation:

Voltage drop [V] = (2 * Cable length * Resistance factor * Current) * 0.866

and in both cases:

Voltage drop percentage [%] = (Voltage drop / Voltage) * 100

The Resistance factor depends on whether you are in AC or DC:

In DC: Resistance factor = R / 1000

In AC: Resistance factor = Sqrt ( R² + X² ) / 1000

where:

R = the resistance of the line per km at a temperature of 80° C

X= the reactance of the line per km at a temperature of 80° C

These values are tabulated as a function of the type and section of the cable:


Short circuit current

It is calculated only the DC side, is taken as the maximum current that can circulate in the cable. The calculation is different depending on the connection that performs the cable:

Isc in string cable: It is the short circuit current of a single PV module (declared by the manufacturer).

Isc in connection from string to electrical panel: It is equal to the short circuit current of the single module only if the cable itself is protected by a fuse incoming to the electrical panel. In the case of cable is not protected, the short circuit current is the sum of the short circuit current of all strings in parallel minus one.

Isc in connection from electrical panel to electrical panel: You are using the same process of connecting cables between strings and electrical panels.

Isc in connection from electrical panel to Inverter: Consider the MPP tracker to which the cable is connected, the short-circuit current on the cable is the sum of current Isc from the parallel inputs to what is considered.


Producibility

The producibility of the system is calculated on the basis of data, derivates from source of specified climate data, of the installation site relative to the average monthly global of solar radiation incident on horizontal surface.

The procedure for the calculation of the energy produced by the plant takes into account the rated power, the angle of inclination and azimuth of the PV generator, the losses on the PV generator (resistive losses, losses due to the difference in temperature of the modules, reflection and mismatching between strings), the efficiency of the inverter, as well as the reflection coefficient of the ground in front of the modules (albedo).

Therefore, the energy produced by the system on an annual basis (Ep, y) is calculated as follows:

Ep,y [kWh] = Pnom * Irr * (1-Losses)

Where:

  • Pnom [kW] = Nominal power of system

  • Irr [kWh/m²] = Annual irradiation on the surface of the modules

  • Losses [%] = Power losses

The power losses are due to various factors. The following table lists the loss factors used by the procedure for the calculation of system producibility.

  • Temperature losses

  • Mismatching losses

  • Resistive losses

  • Losses for DC/AC conversion

  • Other losses

  • Shading losses


Irradiances data sources

In addition to the database of the data irradiances included in BlueSol, There are many sources of meteorological data available from the Web or by other means. BlueSol includes some tools to easily import some of these sources.

NASA SSE (Surface Meteorology and Solar Energy programme) are monthly data, average of 1983-2005 satellite measurements, provided for any cell in a grid of 1°x1° over the world (1° latitude is 111 km). See the site of the Nasa for further information.

Also available from this database, but direct import not implemented in PVsyst: irradiances or temperatures in daily values for any period in the 1983-2005 range.

Although the SSE data within a particular grid cell are not necessarily representative of a particular microclimate, or point, within the cell, the data are considered to be the average over the entire area of the cell. For this reason, the SSE data set is not intended to replace quality ground measurement data. Its purpose is to fill the gap where ground measurements are missing, and to augment areas where ground measurements do exist.

PVGIS (Photovoltaiv Geographical Information System) is a research project of the European Communities.

The PVGIS databases encompass the following regions:

  • European Subcontinent

- Geographical data: digital elevation model (1 km x 1 km for horizon evaluation).

- Spatially Continuous Climatic data: monthly global irradiation (from 566 ground meteorological stations, 1981-1990 averages from the ESRA project), diffuse/global ratio, air temperature..

  • Mediterranean Basin, Africa and South-West Asia

- Geographical data: elevation model (1 km x 1 km or 2 km x 2 km), administrative boundaries, Global land cover, cities, etc.

- Spatially Continuous Climatic data: monthly global irradiation, from Helioclim-1 database (Ecole des Mines de Paris/Armines), based on METEOSAT images (1985-2004), with resolution of about 30x30 km². Air temperature.

See also:

Irradiance data provided by the user